Bug 91566 - kernel has stack overflows under load crashing the os
kernel has stack overflows under load crashing the os
Status: CLOSED DUPLICATE of bug 108092
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-24 10:07 EDT by jason andrade
Modified: 2007-04-18 12:53 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 13:53:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description jason andrade 2003-05-24 10:07:14 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.14; Mac_PowerPC)

Description of problem:
I recently upgraded from kernel-smp-2.4.18-27.7.x to this kernel and the 
system crashed almost immediately with a custom kernel build.  i 
reverted to the binary smp kernel and am still seeing do_IRQ stack 
overflows.  eventually this crashes the machine or worse, causes it to 
hang requiring a power cycle.


Version-Release number of selected component (if applicable):
kernel-smp-2.4.20-13.7

How reproducible:
Always

Steps to Reproduce:
1.install 2.4.20-13.7 kernel
2.start system and increase load (e.g ftp and http users)
3.thud
    

Actual Results:  i start seeing do_IRQ stack dumps in messages.. and 
the system usually locks up within a few hours.

Expected Results:  the system shouldn't have locked up

Additional info:

i have previously submitted information on this bug but never found out if it 
was ever fixed (or looked at) with older kernels.

it'd be nice to get someone to look at this as it causes us a lot of issues.. 
for now i am going to have to try and revert back to the older kernel.  :-/
Comment 1 jason andrade 2003-05-24 10:08:13 EDT
here is an example stack error

do_IRQ: stack overflow: 692
c0251065 000002b4 00000001 f61958fc 00000000 f61958e8 00000004 
c024a50c 
       f61958fc f61958e8 f61958e8 00000000 f61958e8 00000004 
f8926200 00000018 
       00000018 ffffff16 f89209db 00000010 00000202 c2d4a980 00000000 
00000007 
Call Trace:   [<f8926200>] ip_fw_lock [ipchains] 0x0 (0xded84984))
[<f89209db>] ip_fw_check [ipchains] 0x1eb (0xded84994))
[<f8921de7>] ipfw_output_check [ipchains] 0x77 (0xded849fc))
[<f8919214>] fw_in [ipchains] 0x164 (0xded84a24))
[<f8926204>] ipfw_ops [ipchains] 0x0 (0xded84a28))
[<c0202d80>] ip_finish_output2 [kernel] 0x0 (0xded84a6c))
[<c01f045e>] nf_iterate [kernel] 0x2e (0xded84a74))
[<c0202d80>] ip_finish_output2 [kernel] 0x0 (0xded84a88))
[<c0202d80>] ip_finish_output2 [kernel] 0x0 (0xded84a98))
[<c01f078f>] nf_hook_slow [kernel] 0xcf (0xded84a9c))
[<c0202d80>] ip_finish_output2 [kernel] 0x0 (0xded84ab8))
[<f8925ad8>] postroute_ops [ipchains] 0x0 (0xded84ac0))
[<c0201838>] ip_output [kernel] 0x158 (0xded84af4))
[<c0202d80>] ip_finish_output2 [kernel] 0x0 (0xded84b0c))
[<c0201c10>] ip_queue_xmit [kernel] 0x3c0 (0xded84b3c))
[<f895aa9b>] e100_xmit_frame [e100] 0x8b (0xded84b98))
[<c01f3724>] qdisc_restart [kernel] 0x14 (0xded84bb8))
[<c02171fe>] tcp_v4_send_check [kernel] 0x6e (0xded84bdc))
[<c0211c55>] tcp_transmit_skb [kernel] 0x565 (0xded84c04))
[<c01e57fc>] kfree_skbmem [kernel] 0xc (0xded84c34))
[<c020d627>] tcp_clean_rtx_queue [kernel] 0x227 (0xded84c4c))
[<c02126e7>] tcp_write_xmit [kernel] 0x157 (0xded84c78))
[<c020f9a2>] __tcp_data_snd_check [kernel] 0x52 (0xded84cbc))
[<c01e597e>] __kfree_skb [kernel] 0x11e (0xded84ccc))
[<c020fdf0>] tcp_rcv_established [kernel] 0x110 (0xded84ce0))
[<c01e57fc>] kfree_skbmem [kernel] 0xc (0xded84d6c))
[<c01e597e>] __kfree_skb [kernel] 0x11e (0xded84d7c))
[<c01e69e4>] skb_checksum [kernel] 0x54 (0xded84d98))
[<c0218138>] tcp_v4_do_rcv [kernel] 0x38 (0xded84dc4))
[<c021806f>] tcp_v4_checksum_init [kernel] 0x7f (0xded84ddc))
[<c021868d>] tcp_v4_rcv [kernel] 0x46d (0xded84df4))
[<f895aa9b>] e100_xmit_frame [e100] 0x8b (0xded84e20))
[<c01f3724>] qdisc_restart [kernel] 0x14 (0xded84e40))
[<c01e96fe>] dev_queue_xmit [kernel] 0x14e (0xded84e64))
[<c01ff007>] ip_local_deliver_finish [kernel] 0xb7 (0xded84ea8))
[<c01f045e>] nf_iterate [kernel] 0x2e (0xded84eb0))
[<c01fef50>] ip_local_deliver_finish [kernel] 0x0 (0xded84ec4))
[<c01fef50>] ip_local_deliver_finish [kernel] 0x0 (0xded84ed4))
[<c01f078f>] nf_hook_slow [kernel] 0xcf (0xded84ed8))
[<c01fef50>] ip_local_deliver_finish [kernel] 0x0 (0xded84eec))
[<c01f07c6>] nf_hook_slow [kernel] 0x106 (0xded84ef0))
[<f891a9a8>] __ip_conntrack_find [ipchains] 0x28 (0xded84f00))
[<f891aa62>] ip_conntrack_find_get_Rsmp_b2ef83ad [ipchains] 0x32 
(0xded84f18))
[<c01feb5b>] ip_local_deliver [kernel] 0x17b (0xded84f30))
[<c01fef50>] ip_local_deliver_finish [kernel] 0x0 (0xded84f48))
[<c01fc27b>] ip_route_input [kernel] 0x3b (0xded84f4c))
[<c01ff254>] ip_rcv_finish [kernel] 0x1d4 (0xded84f8c))
[<c01f045e>] nf_iterate [kernel] 0x2e (0xded84f94))
[<c01ff080>] ip_rcv_finish [kernel] 0x0 (0xded84fa8))
[<c01ff080>] ip_rcv_finish [kernel] 0x0 (0xded84fb8))
[<c01f078f>] nf_hook_slow [kernel] 0xcf (0xded84fbc))
[<c01ff080>] ip_rcv_finish [kernel] 0x0 (0xded84fd0))
[<c01f07c6>] nf_hook_slow [kernel] 0x106 (0xded84fd4))
[<c01e77ae>] skb_free_datagram [kernel] 0x1e (0xded84fe4))
[<f899f0d3>] rpc_wake_up_task_Rsmp_20df08e4 [sunrpc] 0x33 
(0xded84fec))
[<f899cf68>] udp_data_ready [sunrpc] 0x138 (0xded84ff8))
[<f899cf81>] udp_data_ready [sunrpc] 0x151 (0xded84ffc))
[<c01fef0e>] ip_rcv [kernel] 0x39e (0xded85014))
[<c01ff080>] ip_rcv_finish [kernel] 0x0 (0xded8502c))
[<c01e96fe>] dev_queue_xmit [kernel] 0x14e (0xded85038))
[<c0202d80>] ip_finish_output2 [kernel] 0x0 (0xded85044))
[<c021ebc5>] udp_rcv [kernel] 0x165 (0xded85068))
[<c010a5fe>] handle_IRQ_event [kernel] 0x5e (0xded8508c))
[<c010a870>] do_IRQ [kernel] 0x100 (0xded850b8))
[<c01e9ea9>] netif_receive_skb [kernel] 0x199 (0xded850d0))
[<c0202d80>] ip_finish_output2 [kernel] 0x0 (0xded850e8))
[<c01e9f59>] process_backlog [kernel] 0x79 (0xded85110))
[<c01e96fe>] dev_queue_xmit [kernel] 0x14e (0xded85124))
[<c01ea09f>] net_rx_action [kernel] 0x9f (0xded85140))
[<c01f045e>] nf_iterate [kernel] 0x2e (0xded8515c))
[<c012107b>] do_softirq [kernel] 0x6b (0xded85178))
[<c0202d80>] ip_finish_output2 [kernel] 0x0 (0xded85190))
[<c01f0c64>] .text.lock.netfilter [kernel] 0xc0 (0xded85194))
[<c01e74fe>] csum_partial_copy_fromiovecend [kernel] 0x1be 
(0xded851bc))
[<c0201838>] ip_output [kernel] 0x158 (0xded851dc))
[<c0202d80>] ip_finish_output2 [kernel] 0x0 (0xded851f4))
[<c021db1e>] udp_getfrag [kernel] 0x4e (0xded85200))
[<c0202597>] ip_build_xmit [kernel] 0x2d7 (0xded85224))
[<c021dfcf>] udp_sendmsg [kernel] 0x3cf (0xded85264))
[<c021dad0>] udp_getfrag [kernel] 0x0 (0xded8526c))
[<c020f94c>] tcp_new_space [kernel] 0x7c (0xded852b0))
[<c02104d8>] tcp_rcv_established [kernel] 0x7f8 (0xded852bc))
[<c01f3724>] qdisc_restart [kernel] 0x14 (0xded852fc))
[<f8926204>] ipfw_ops [ipchains] 0x0 (0xded8530c))
[<c0224b55>] inet_sendmsg [kernel] 0x35 (0xded85320))
[<c01e204c>] sock_sendmsg [kernel] 0x6c (0xded85334))
[<c0202d80>] ip_finish_output2 [kernel] 0x0 (0xded85350))
[<c01f045e>] nf_iterate [kernel] 0x2e (0xded85358))
[<c0202d80>] ip_finish_output2 [kernel] 0x0 (0xded8537c))
[<c01f078f>] nf_hook_slow [kernel] 0xcf (0xded85380))
[<f899d9fd>] do_xprt_transmit [sunrpc] 0xfd (0xded85398))
[<c0201838>] ip_output [kernel] 0x158 (0xded853d8))
[<c0202d80>] ip_finish_output2 [kernel] 0x0 (0xded853f0))
[<c021db1e>] udp_getfrag [kernel] 0x4e (0xded853fc))
[<f899bb5f>] call_transmit [sunrpc] 0x3f (0xded85470))
[<f899f3af>] __rpc_execute [sunrpc] 0xaf (0xded85480))
[<f899b5a6>] rpc_call_setup_Rsmp_6c26fc57 [sunrpc] 0x46 
(0xded85490))
[<f899b489>] rpc_call_sync_Rsmp_7932eeae [sunrpc] 0x69 
(0xded8549c))
[<f899b49a>] rpc_call_sync_Rsmp_7932eeae [sunrpc] 0x7a 
(0xded854bc))
[<f89ae114>] all_tasks [sunrpc] 0x0 (0xded854dc))
[<f899bb90>] call_status [sunrpc] 0x0 (0xded85510))
[<f899e860>] rpc_run_timer [sunrpc] 0x0 (0xded85530))
[<c01f045e>] nf_iterate [kernel] 0x2e (0xded85554))
[<f89cb450>] nfs3_rpc_wrapper [nfs] 0x30 (0xded8556c))
[<f89cb55d>] nfs3_proc_getattr [nfs] 0x5d (0xded85594))
[<f89c4da1>] __nfs_revalidate_inode [nfs] 0x101 (0xded855dc))
[<c0202d80>] ip_finish_output2 [kernel] 0x0 (0xded855ec))
[<c0210000>] tcp_rcv_established [kernel] 0x320 (0xded855f8))
[<f89ae1a0>] rpc_credcache_lock [sunrpc] 0x0 (0xded85648))
[<f89a0ecb>] rpcauth_unbindcred [sunrpc] 0x3b (0xded85650))
[<f899fc0d>] rpc_release_task_Rsmp_44943b39 [sunrpc] 0x1bd 
(0xded85660))
[<f89c1adf>] nfs_lookup_revalidate [nfs] 0x22f (0xded85674))
[<f899b489>] rpc_call_sync_Rsmp_7932eeae [sunrpc] 0x69 
(0xded85698))
[<f899b4b0>] rpc_call_sync_Rsmp_7932eeae [sunrpc] 0x90 
(0xded856b4))
[<f899e860>] rpc_run_timer [sunrpc] 0x0 (0xded8572c))
[<c0202d80>] ip_finish_output2 [kernel] 0x0 (0xded8574c))
[<c01f078f>] nf_hook_slow [kernel] 0xcf (0xded85750))
[<c0128c9e>] in_group_p [kernel] 0x1e (0xded85768))
[<c01509a9>] vfs_permission [kernel] 0x79 (0xded85770))
[<f89c1d90>] nfs_lookup [nfs] 0x0 (0xded85790))
[<c0150bcd>] cached_lookup [kernel] 0x2d (0xded8579c))
[<c01515cd>] link_path_walk [kernel] 0x79d (0xded857ac))
[<f89c4ecc>] __nfs_revalidate_inode [nfs] 0x22c (0xded857e0))
[<c0202597>] ip_build_xmit [kernel] 0x2d7 (0xded857f0))
[<f89c1adf>] nfs_lookup_revalidate [nfs] 0x22f (0xded85870))
[<c0224b55>] inet_sendmsg [kernel] 0x35 (0xded858ec))
[<f899ed63>] __rpc_sleep_on [sunrpc] 0x1a3 (0xded85904))
[<c01544bd>] vfs_follow_link [kernel] 0x11d (0xded8592c))
[<c0132d12>] read_cache_page [kernel] 0x42 (0xded85930))
[<c0132d85>] read_cache_page [kernel] 0xb5 (0xded8593c))
[<f899edac>] rpc_sleep_on_Rsmp_5512823c [sunrpc] 0x3c 
(0xded85940))
[<f89c8a7a>] nfs_getlink [nfs] 0x1a (0xded85960))
[<f89c89c0>] nfs_symlink_filler [nfs] 0x0 (0xded8596c))
[<f89c8bb8>] nfs_follow_link [nfs] 0x28 (0xded85984))
[<c0150bcd>] cached_lookup [kernel] 0x2d (0xded85998))
[<c015174e>] link_path_walk [kernel] 0x91e (0xded859a8))
[<f89c4ecc>] __nfs_revalidate_inode [nfs] 0x22c (0xded859dc))
[<f89ce0dc>] nfs3_xdr_lookupres [nfs] 0xac (0xded859f0))
[<f89ae1a0>] rpc_credcache_lock [sunrpc] 0x0 (0xded85a18))
[<f89a0ecb>] rpcauth_unbindcred [sunrpc] 0x3b (0xded85a20))
[<f899fc0d>] rpc_release_task_Rsmp_44943b39 [sunrpc] 0x1bd 
(0xded85a30))
[<f899f5ed>] __rpc_execute [sunrpc] 0x2ed (0xded85a4c))
[<f899b489>] rpc_call_sync_Rsmp_7932eeae [sunrpc] 0x69 
(0xded85a68))
[<f89c199c>] nfs_lookup_revalidate [nfs] 0xec (0xded85a70))
[<f899b4b0>] rpc_call_sync_Rsmp_7932eeae [sunrpc] 0x90 
(0xded85a84))
[<f899e860>] rpc_run_timer [sunrpc] 0x0 (0xded85afc))
[<c01544bd>] vfs_follow_link [kernel] 0x11d (0xded85b28))
[<c0132d12>] read_cache_page [kernel] 0x42 (0xded85b2c))
[<c0132d85>] read_cache_page [kernel] 0xb5 (0xded85b38))
[<f89c8a7a>] nfs_getlink [nfs] 0x1a (0xded85b5c))
[<f89c89c0>] nfs_symlink_filler [nfs] 0x0 (0xded85b68))
[<f89c8bb8>] nfs_follow_link [nfs] 0x28 (0xded85b80))
[<c0150bcd>] cached_lookup [kernel] 0x2d (0xded85b94))
[<c01512fe>] link_path_walk [kernel] 0x4ce (0xded85ba4))
[<c012f877>] invalidate_inode_pages [kernel] 0x17 (0xded85bf8))
[<f89c52ef>] __nfs_refresh_inode [nfs] 0x3ef (0xded85c08))
[<f89c45f4>] nfs_fill_inode [nfs] 0xc4 (0xded85c40))
[<f89c199c>] nfs_lookup_revalidate [nfs] 0xec (0xded85c6c))
[<f89c1e41>] nfs_lookup [nfs] 0xb1 (0xded85c94))
[<c01ff007>] ip_local_deliver_finish [kernel] 0xb7 (0xded85cbc))
[<c01f045e>] nf_iterate [kernel] 0x2e (0xded85cc4))
[<c01544bd>] vfs_follow_link [kernel] 0x11d (0xded85d24))
[<c0132d12>] read_cache_page [kernel] 0x42 (0xded85d28))
[<c0132d85>] read_cache_page [kernel] 0xb5 (0xded85d34))
[<f89c8a7a>] nfs_getlink [nfs] 0x1a (0xded85d58))
[<f89c8ad7>] nfs_getlink [nfs] 0x77 (0xded85d68))
[<f89c8bb8>] nfs_follow_link [nfs] 0x28 (0xded85d7c))
[<c0132d12>] read_cache_page [kernel] 0x42 (0xded85b2c))
[<c0132d85>] read_cache_page [kernel] 0xb5 (0xded85b38))
[<f89c8a7a>] nfs_getlink [nfs] 0x1a (0xded85b5c))
[<f89c89c0>] nfs_symlink_filler [nfs] 0x0 (0xded85b68))
[<f89c8bb8>] nfs_follow_link [nfs] 0x28 (0xded85b80))
[<c0150bcd>] cached_lookup [kernel] 0x2d (0xded85b94))
[<c01512fe>] link_path_walk [kernel] 0x4ce (0xded85ba4))
[<c012f877>] invalidate_inode_pages [kernel] 0x17 (0xded85bf8))
[<f89c52ef>] __nfs_refresh_inode [nfs] 0x3ef (0xded85c08))
[<f89c45f4>] nfs_fill_inode [nfs] 0xc4 (0xded85c40))
[<f89c199c>] nfs_lookup_revalidate [nfs] 0xec (0xded85c6c))
[<f89c1e41>] nfs_lookup [nfs] 0xb1 (0xded85c94))
[<c01ff007>] ip_local_deliver_finish [kernel] 0xb7 (0xded85cbc))
[<c01f045e>] nf_iterate [kernel] 0x2e (0xded85cc4))
[<c01544bd>] vfs_follow_link [kernel] 0x11d (0xded85d24))
[<c0132d12>] read_cache_page [kernel] 0x42 (0xded85d28))
[<c0132d85>] read_cache_page [kernel] 0xb5 (0xded85d34))
[<f89c8a7a>] nfs_getlink [nfs] 0x1a (0xded85d58))
[<f89c8ad7>] nfs_getlink [nfs] 0x77 (0xded85d68))
[<f89c8bb8>] nfs_follow_link [nfs] 0x28 (0xded85d7c))
[<c0150bcd>] cached_lookup [kernel] 0x2d (0xded85d90))
[<c01512fe>] link_path_walk [kernel] 0x4ce (0xded85da0))
[<c01ff080>] ip_rcv_finish [kernel] 0x0 (0xded85dcc))
[<c01f078f>] nf_hook_slow [kernel] 0xcf (0xded85dd0))
[<c01ff080>] ip_rcv_finish [kernel] 0x0 (0xded85de4))
[<c01f07c6>] nf_hook_slow [kernel] 0x106 (0xded85de8))
[<c01e9ea9>] netif_receive_skb [kernel] 0x199 (0xded85e00))
[<c01fef0e>] ip_rcv [kernel] 0x39e (0xded85e28))
[<c01ff080>] ip_rcv_finish [kernel] 0x0 (0xded85e40))
[<c01ea09f>] net_rx_action [kernel] 0x9f (0xded85e70))
[<c01e9c32>] net_tx_action [kernel] 0x62 (0xded85e8c))
[<c0187492>] add_interrupt_randomness [kernel] 0x22 (0xded85e94))
[<c01e561f>] alloc_skb [kernel] 0xef (0xded85eac))
[<f896ce82>] e1000_alloc_rx_buffers [e1000] 0x62 (0xded85ec4))
[<c01e9a00>] netif_rx [kernel] 0xc0 (0xded85ed0))
[<c015a247>] dput [kernel] 0x47 (0xded85ee8))
[<c01508ee>] getname [kernel] 0x5e (0xded85f0c))
[<c0151a8b>] path_lookup [kernel] 0x1b (0xded85f20))
[<c0151d84>] __user_walk [kernel] 0x24 (0xded85f30))
[<c014dbc7>] vfs_stat [kernel] 0x17 (0xded85f44))
[<c014e171>] sys_stat64 [kernel] 0x11 (0xded85f70))
[<c0108be3>] system_call [kernel] 0x33 (0xded85fc0))
Comment 2 Arjan van de Ven 2003-05-24 11:50:51 EDT
just to be clear; this is e100 as shipped in 13.7 ?
Comment 3 jason andrade 2003-05-24 20:04:55 EDT
yes, this is e100.  i am using this on a dell poweredge 2450 with a builtin
e100 and an extra e1000 (Intel Pro1000/T Desktop 32bit card).

the sysem is configured in SMP (dual p3/733) with 1G of ram and 9G
SCSI (aacraid, 2 * 9G in RAID1) and is installed with RedHat 7.3

-jason
Comment 4 Steve Snodgrass 2003-06-06 14:30:23 EDT
I just got hit by what looks like the same bug.  I have a PowerEdge 2550 with
dual 1 GHz P3s and 512M RAM that is being used as a firewall/router.  I'm using
the tg3 driver and the eepro100 driver.  It had been working fine on
2.4.18-27.7.xsmp.  On Tuesday morning it was upgraded to 2.4.20-13.7smp.  This
Friday morning it started spewing the stack overflow traceback repeatedly to the
console.  Here's the first one:

Jun  6 11:33:18 bandit kernel: do_IRQ: stack overflow: 708
Jun  6 11:33:18 bandit kernel: c0251065 000002c4 00000000 de19fa80 00000000
de19fabc da8bed00 c024a50c
Jun  6 11:33:18 bandit kernel:        de19fa80 ddb2cf00 de19faac 00000000
de19fabc da8bed00 00000120 420e0018
Jun  6 11:33:18 bandit kernel:        40010018 ffffff11 c0231c59 00000010
00000246 de19faac 00000030 420e1222
Jun  6 11:33:18 bandit kernel: Call Trace:   [<c0231c59>] packet_rcv_spkt
[kernel] 0xd9 (0xc4bc89a4))
Jun  6 11:33:18 bandit kernel: [<c01e94df>] dev_queue_xmit_nit [kernel] 0x8f
(0xc4bc8a04))
Jun  6 11:33:18 bandit kernel: [<c01e979d>] dev_queue_xmit [kernel] 0x1ed
(0xc4bc8a24))
Jun  6 11:33:18 bandit kernel: [<c01edd4f>] neigh_resolve_output [kernel] 0x15f
(0xc4bc8a68))
Jun  6 11:33:18 bandit kernel: [<c01edd8a>] neigh_resolve_output [kernel] 0x19a
(0xc4bc8a7c))
Jun  6 11:33:18 bandit kernel: [<e08f7416>] ip_refrag [ip_conntrack] 0x26
(0xc4bc8a98))
Jun  6 11:33:18 bandit kernel: [<c0202d80>] ip_finish_output2 [kernel] 0x0
(0xc4bc8aac))
Jun  6 11:33:18 bandit kernel: [<c0202d80>] ip_finish_output2 [kernel] 0x0
(0xc4bc8ab8))
Jun  6 11:33:18 bandit kernel: [<c01f045e>] nf_iterate [kernel] 0x2e (0xc4bc8abc))
Jun  6 11:33:18 bandit kernel: [<c0202d80>] ip_finish_output2 [kernel] 0x0
(0xc4bc8ad4))
Jun  6 11:33:18 bandit kernel: [<c0202e3d>] ip_finish_output2 [kernel] 0xbd
(0xc4bc8ad8))
Jun  6 11:33:18 bandit kernel: [<c0202d80>] ip_finish_output2 [kernel] 0x0
(0xc4bc8ae0))
Jun  6 11:33:18 bandit kernel: [<c01f078f>] nf_hook_slow [kernel] 0xcf (0xc4bc8ae4))
Jun  6 11:33:18 bandit kernel: [<c01f07c6>] nf_hook_slow [kernel] 0x106
(0xc4bc8afc))
Jun  6 11:33:18 bandit kernel: [<c0202d70>] output_maybe_reroute [kernel] 0x0
(0xc4bc8b28))
Jun  6 11:33:18 bandit kernel: [<c0202d70>] output_maybe_reroute [kernel] 0x0
(0xc4bc8b38))
Jun  6 11:33:18 bandit kernel: [<c0201838>] ip_output [kernel] 0x158 (0xc4bc8b3c))
Jun  6 11:33:18 bandit kernel: [<c0202d80>] ip_finish_output2 [kernel] 0x0
(0xc4bc8b54))
Jun  6 11:33:18 bandit kernel: [<c0202d70>] output_maybe_reroute [kernel] 0x0
(0xc4bc8b60))
Jun  6 11:33:18 bandit kernel: [<c0202d70>] output_maybe_reroute [kernel] 0x0
(0xc4bc8b70))
Jun  6 11:33:18 bandit kernel: [<c01f078f>] nf_hook_slow [kernel] 0xcf (0xc4bc8b74))
Jun  6 11:33:18 bandit kernel: [<c0202d7b>] output_maybe_reroute [kernel] 0xb
(0xc4bc8b84))
Jun  6 11:33:18 bandit kernel: [<c01f07c6>] nf_hook_slow [kernel] 0x106
(0xc4bc8b8c))
Jun  6 11:33:18 bandit kernel: [<c02025b9>] ip_build_xmit [kernel] 0x2f9
(0xc4bc8bcc))
Jun  6 11:33:18 bandit kernel: [<c0202d70>] output_maybe_reroute [kernel] 0x0
(0xc4bc8be4))
Jun  6 11:33:18 bandit kernel: [<e0982ccb>] vlan_dev_hwaccel_hard_start_xmit
[8021q] 0x7b (0xc4bc8bfc))
Jun  6 11:33:18 bandit kernel: [<c021dfcf>] udp_sendmsg [kernel] 0x3cf (0xc4bc8c20))
Jun  6 11:33:19 bandit kernel: [<c021dad0>] udp_getfrag [kernel] 0x0 (0xc4bc8c28))
Jun  6 11:33:19 bandit kernel: [<c01edd8a>] neigh_resolve_output [kernel] 0x19a
(0xc4bc8c68))
Jun  6 11:33:19 bandit kernel: [<c0202d80>] ip_finish_output2 [kernel] 0x0
(0xc4bc8c98))
Jun  6 11:33:19 bandit kernel: [<c0224b55>] inet_sendmsg [kernel] 0x35 (0xc4bc8cdc))
Jun  6 11:33:19 bandit kernel: [<c01e204c>] sock_sendmsg [kernel] 0x6c (0xc4bc8cf0))
Jun  6 11:33:19 bandit kernel: [<e09ce0fd>] osi_NetSend
[libafs-2.4.20-13.7-i686.mp] 0xdd (0xc4bc8d54))
Jun  6 11:33:19 bandit kernel: [<c0231d32>] packet_rcv_spkt [kernel] 0x1b2
(0xc4bc8d74))
Jun  6 11:33:19 bandit kernel: [<c01e96fe>] dev_queue_xmit [kernel] 0x14e
(0xc4bc8d88))
Jun  6 11:33:19 bandit kernel: [<c02025b9>] ip_build_xmit [kernel] 0x2f9
(0xc4bc8db8))
Jun  6 11:33:19 bandit kernel: [<e0982ccb>] vlan_dev_hwaccel_hard_start_xmit
[8021q] 0x7b (0xc4bc8ddc))
Jun  6 11:33:19 bandit kernel: [<c01e97a7>] dev_queue_xmit [kernel] 0x1f7
(0xc4bc8df0))
Jun  6 11:33:19 bandit kernel: [<c021dad0>] udp_getfrag [kernel] 0x0 (0xc4bc8e14))
Jun  6 11:33:19 bandit kernel: [<e09d1346>] rxi_SendPacket
[libafs-2.4.20-13.7-i686.mp] 0x146 (0xc4bc8e34))
Jun  6 11:33:19 bandit kernel: [<e08f7416>] ip_refrag [ip_conntrack] 0x26
(0xc4bc8e64))
Jun  6 11:33:19 bandit kernel: [<e09c53fd>] rxi_SendList
[libafs-2.4.20-13.7-i686.mp] 0x56d (0xc4bc8e84))
Jun  6 11:33:19 bandit kernel: [<c0202d80>] ip_finish_output2 [kernel] 0x0
(0xc4bc8ea0))
Jun  6 11:33:19 bandit kernel: [<e09c5697>] rxi_SendXmitList
[libafs-2.4.20-13.7-i686.mp] 0x227 (0xc4bc8ec4))
Jun  6 11:33:19 bandit kernel: [<e09c5f4a>] rxi_Start
[libafs-2.4.20-13.7-i686.mp] 0x7ba (0xc4bc8f14))
Jun  6 11:33:19 bandit kernel: [<c01f07c6>] nf_hook_slow [kernel] 0x106
(0xc4bc8f58))
Jun  6 11:33:19 bandit kernel: [<e09d743d>] rxkad_PreparePacket
[libafs-2.4.20-13.7-i686.mp] 0x11d (0xc4bc8f64))
Jun  6 11:33:19 bandit kernel: [<e09d1f93>] rxi_PrepareSendPacket
[libafs-2.4.20-13.7-i686.mp] 0x183 (0xc4bc8f94))
Jun  6 11:33:19 bandit kernel: [<e0a1013c>] rx_freePktQ_lock
[libafs-2.4.20-13.7-i686.mp] 0x0 (0xc4bc8fa8))
Jun  6 11:33:19 bandit kernel: [<e0a1013c>] rx_freePktQ_lock
[libafs-2.4.20-13.7-i686.mp] 0x0 (0xc4bc8fac))
Jun  6 11:33:19 bandit kernel: [<e09cd20c>] rxi_FlushWrite
[libafs-2.4.20-13.7-i686.mp] 0x3bc (0xc4bc8fc4))
Jun  6 11:33:19 bandit kernel: [<c021dfcf>] udp_sendmsg [kernel] 0x3cf (0xc4bc8fec))
Jun  6 11:33:19 bandit kernel: [<e09ca129>] rxi_ReadProc
[libafs-2.4.20-13.7-i686.mp] 0x99 (0xc4bc9034))
Jun  6 11:33:19 bandit kernel: [<e09c6602>] rxi_ScheduleKeepAliveEvent
[libafs-2.4.20-13.7-i686.mp] 0x52 (0xc4bc9044))
Jun  6 11:33:19 bandit kernel: [<e09c64b0>] rxi_KeepAliveEvent
[libafs-2.4.20-13.7-i686.mp] 0x0 (0xc4bc904c))
Jun  6 11:33:19 bandit kernel: [<e09bdafc>] rx_NewCall
[libafs-2.4.20-13.7-i686.mp] 0x63c (0xc4bc9074))
Jun  6 11:33:19 bandit kernel: [<e09caa7d>] rx_ReadProc32
[libafs-2.4.20-13.7-i686.mp] 0xdd (0xc4bc90a4))
Jun  6 11:33:19 bandit kernel: [<e09d22e5>] xdrrx_getint32
[libafs-2.4.20-13.7-i686.mp] 0x15 (0xc4bc90d4))
Jun  6 11:33:19 bandit kernel: [<e09d771b>] afs_xdr_u_int
[libafs-2.4.20-13.7-i686.mp] 0x1b (0xc4bc90f4))
Jun  6 11:33:19 bandit kernel: [<e09b7424>] xdr_AFSFetchStatus
[libafs-2.4.20-13.7-i686.mp] 0x14 (0xc4bc9114))
Jun  6 11:33:20 bandit kernel: [<e09b8b16>] RXAFS_FetchStatus
[libafs-2.4.20-13.7-i686.mp] 0x66 (0xc4bc9134))
Jun  6 11:33:20 bandit kernel: [<e098e815>] afs_Conn
[libafs-2.4.20-13.7-i686.mp] 0x185 (0xc4bc9154))
Jun  6 11:33:20 bandit kernel: [<e0a06900>] xdrrx_ops
[libafs-2.4.20-13.7-i686.mp] 0x0 (0xc4bc915c))
Jun  6 11:33:20 bandit kernel: [<e0a06c00>] afs_global_lock
[libafs-2.4.20-13.7-i686.mp] 0x0 (0xc4bc9178))
Jun  6 11:33:20 bandit kernel: [<e09a50ef>] afs_FetchStatus
[libafs-2.4.20-13.7-i686.mp] 0xef (0xc4bc9184))
Jun  6 11:33:20 bandit kernel: [<e098df32>] afs_IsPrimaryCellNum
[libafs-2.4.20-13.7-i686.mp] 0x22 (0xc4bc91b4))
Jun  6 11:33:20 bandit kernel: [<e098df32>] afs_IsPrimaryCellNum
[libafs-2.4.20-13.7-i686.mp] 0x22 (0xc4bc91c4))
Jun  6 11:33:20 bandit kernel: [<e09a5a9b>] afs_FindVCache
[libafs-2.4.20-13.7-i686.mp] 0x35b (0xc4bc91d4))
Jun  6 11:33:20 bandit kernel: [<e09b5561>] afs_GetVolume
[libafs-2.4.20-13.7-i686.mp] 0x21 (0xc4bc91e4))
Jun  6 11:33:20 bandit kernel: [<e09a3a26>] afs_GetVCache
[libafs-2.4.20-13.7-i686.mp] 0x3c6 (0xc4bc9214))
Jun  6 11:33:20 bandit kernel: [<e09957a8>] afs_dir_GetBlob
[libafs-2.4.20-13.7-i686.mp] 0x18 (0xc4bc9244))
Jun  6 11:33:20 bandit kernel: [<e09c62f0>] rxi_Send
[libafs-2.4.20-13.7-i686.mp] 0xb0 (0xc4bc9250))
Jun  6 11:33:20 bandit kernel: [<e099586c>] FindItem
[libafs-2.4.20-13.7-i686.mp] 0x5c (0xc4bc9264))
Jun  6 11:33:20 bandit kernel: [<e099557d>] afs_dir_LookupOffset
[libafs-2.4.20-13.7-i686.mp] 0x6d (0xc4bc9294))
Jun  6 11:33:20 bandit kernel: [<e09ae33d>] afs_lookup
[libafs-2.4.20-13.7-i686.mp] 0xabd (0xc4bc92b4))
Jun  6 11:33:20 bandit kernel: [<e099b030>] afs_InitReq
[libafs-2.4.20-13.7-i686.mp] 0x30 (0xc4bc9364))
Jun  6 11:33:20 bandit kernel: [<e09dd175>] afs_linux_dentry_revalidate
[libafs-2.4.20-13.7-i686.mp] 0x135 (0xc4bc9384))
Jun  6 11:33:20 bandit kernel: [<e0a06c00>] afs_global_lock
[libafs-2.4.20-13.7-i686.mp] 0x0 (0xc4bc93c4))
Jun  6 11:33:20 bandit kernel: [<e09de348>] afs_linux_permission
[libafs-2.4.20-13.7-i686.mp] 0xd8 (0xc4bc93c8))
Jun  6 11:33:20 bandit kernel: [<c0150bcd>] cached_lookup [kernel] 0x2d
(0xc4bc93f4))
Jun  6 11:33:20 bandit kernel: [<c01515cd>] link_path_walk [kernel] 0x79d
(0xc4bc9404))
Jun  6 11:33:20 bandit kernel: [<e0999fdd>] osi_dnlc_enter
[libafs-2.4.20-13.7-i686.mp] 0x1dd (0xc4bc9480))
Jun  6 11:33:20 bandit kernel: [<e0a0a220>] nameCache
[libafs-2.4.20-13.7-i686.mp] 0x1f80 (0xc4bc9484))
Jun  6 11:33:20 bandit kernel: [<e0a0a530>] nameCache
[libafs-2.4.20-13.7-i686.mp] 0x2290 (0xc4bc9488))
Jun  6 11:33:20 bandit kernel: [<e0999f9e>] osi_dnlc_enter
[libafs-2.4.20-13.7-i686.mp] 0x19e (0xc4bc9490))
Jun  6 11:33:20 bandit kernel: [<e0a0a220>] nameCache
[libafs-2.4.20-13.7-i686.mp] 0x1f80 (0xc4bc94a4))
Jun  6 11:33:20 bandit kernel: [<e0a0a220>] nameCache
[libafs-2.4.20-13.7-i686.mp] 0x1f80 (0xc4bc94a8))
Jun  6 11:33:20 bandit kernel: [<e09aea76>] afs_lookup
[libafs-2.4.20-13.7-i686.mp] 0x11f6 (0xc4bc94b0))
Jun  6 11:33:20 bandit kernel: [<c0132d12>] read_cache_page [kernel] 0x42
(0xc4bc9514))
Jun  6 11:33:20 bandit kernel: [<c0132d85>] read_cache_page [kernel] 0xb5
(0xc4bc9520))
Jun  6 11:33:20 bandit kernel: [<c0154562>] page_getlink [kernel] 0x22 (0xc4bc9544))
Jun  6 11:33:20 bandit kernel: [<e09de750>] afs_symlink_filler
[libafs-2.4.20-13.7-i686.mp] 0x0 (0xc4bc9550))
Jun  6 11:33:20 bandit kernel: [<e09dd20e>] afs_linux_dentry_revalidate
[libafs-2.4.20-13.7-i686.mp] 0x1ce (0xc4bc9570))
Jun  6 11:33:21 bandit kernel: [<c01547b8>] page_follow_link [kernel] 0x138
(0xc4bc9584))
Jun  6 11:33:21 bandit kernel: [<e0a06c00>] afs_global_lock
[libafs-2.4.20-13.7-i686.mp] 0x0 (0xc4bc95b0))
Jun  6 11:33:21 bandit kernel: [<e09de348>] afs_linux_permission
[libafs-2.4.20-13.7-i686.mp] 0xd8 (0xc4bc95b4))
Jun  6 11:33:21 bandit kernel: [<e09dd620>] afs_linux_lookup
[libafs-2.4.20-13.7-i686.mp] 0x0 (0xc4bc95d4))
Jun  6 11:33:21 bandit kernel: [<c015174e>] link_path_walk [kernel] 0x91e
(0xc4bc95f0))
Jun  6 11:33:21 bandit kernel: [<e0999fdd>] osi_dnlc_enter
[libafs-2.4.20-13.7-i686.mp] 0x1dd (0xc4bc966c))
Jun  6 11:33:21 bandit kernel: [<e0a0a530>] nameCache
[libafs-2.4.20-13.7-i686.mp] 0x2290 (0xc4bc9670))
Jun  6 11:33:21 bandit kernel: [<e0a0a648>] nameCache
[libafs-2.4.20-13.7-i686.mp] 0x23a8 (0xc4bc9674))
Jun  6 11:33:21 bandit kernel: [<e0999f9e>] osi_dnlc_enter
[libafs-2.4.20-13.7-i686.mp] 0x19e (0xc4bc967c))
Jun  6 11:33:21 bandit kernel: [<e0a0a530>] nameCache
[libafs-2.4.20-13.7-i686.mp] 0x2290 (0xc4bc9690))
Jun  6 11:33:21 bandit kernel: [<e0a0a530>] nameCache
[libafs-2.4.20-13.7-i686.mp] 0x2290 (0xc4bc9694))
Jun  6 11:33:21 bandit kernel: [<e09aea76>] afs_lookup
[libafs-2.4.20-13.7-i686.mp] 0x11f6 (0xc4bc969c))
Jun  6 11:33:21 bandit kernel: [<c0132d12>] read_cache_page [kernel] 0x42
(0xc4bc9700))
Jun  6 11:33:21 bandit kernel: [<c0132d85>] read_cache_page [kernel] 0xb5
(0xc4bc970c))
Jun  6 11:33:21 bandit kernel: [<c0154562>] page_getlink [kernel] 0x22 (0xc4bc9730))
Jun  6 11:33:21 bandit kernel: [<e09de750>] afs_symlink_filler
[libafs-2.4.20-13.7-i686.mp] 0x0 (0xc4bc973c))
Jun  6 11:33:21 bandit kernel: [<e09dd20e>] afs_linux_dentry_revalidate
[libafs-2.4.20-13.7-i686.mp] 0x1ce (0xc4bc975c))
Jun  6 11:33:21 bandit kernel: [<c01547b8>] page_follow_link [kernel] 0x138
(0xc4bc9770))
Jun  6 11:33:21 bandit kernel: [<e0a06c00>] afs_global_lock
[libafs-2.4.20-13.7-i686.mp] 0x0 (0xc4bc979c))
Jun  6 11:33:21 bandit kernel: [<e09de348>] afs_linux_permission
[libafs-2.4.20-13.7-i686.mp] 0xd8 (0xc4bc97a0))
Jun  6 11:33:21 bandit kernel: [<e09dd620>] afs_linux_lookup
[libafs-2.4.20-13.7-i686.mp] 0x0 (0xc4bc97c0))
Jun  6 11:33:21 bandit kernel: [<c015174e>] link_path_walk [kernel] 0x91e
(0xc4bc97dc))
Jun  6 11:33:21 bandit kernel: [<e0999fdd>] osi_dnlc_enter
[libafs-2.4.20-13.7-i686.mp] 0x1dd (0xc4bc9858))
Jun  6 11:33:21 bandit kernel: [<e0a0a648>] nameCache
[libafs-2.4.20-13.7-i686.mp] 0x23a8 (0xc4bc985c))
Jun  6 11:33:21 bandit kernel: [<e0a0b9c0>] nameCache
[libafs-2.4.20-13.7-i686.mp] 0x3720 (0xc4bc9860))
Jun  6 11:33:21 bandit kernel: [<e0999f9e>] osi_dnlc_enter
[libafs-2.4.20-13.7-i686.mp] 0x19e (0xc4bc9868))
Jun  6 11:33:21 bandit kernel: [<e0a0a648>] nameCache
[libafs-2.4.20-13.7-i686.mp] 0x23a8 (0xc4bc987c))
Jun  6 11:33:21 bandit kernel: [<e0a0a648>] nameCache
[libafs-2.4.20-13.7-i686.mp] 0x23a8 (0xc4bc9880))
Jun  6 11:33:21 bandit kernel: [<e09aea76>] afs_lookup
[libafs-2.4.20-13.7-i686.mp] 0x11f6 (0xc4bc9888))
Jun  6 11:33:21 bandit kernel: [<c0132d12>] read_cache_page [kernel] 0x42
(0xc4bc98ec))
Jun  6 11:33:21 bandit kernel: [<c0132d85>] read_cache_page [kernel] 0xb5
(0xc4bc98f8))
Jun  6 11:33:21 bandit kernel: [<c015a21c>] dput [kernel] 0x1c (0xc4bc9908))
Jun  6 11:33:21 bandit kernel: [<c0154562>] page_getlink [kernel] 0x22 (0xc4bc991c))
Jun  6 11:33:21 bandit kernel: [<e09de750>] afs_symlink_filler
[libafs-2.4.20-13.7-i686.mp] 0x0 (0xc4bc9928))
Jun  6 11:33:22 bandit kernel: [<e09dd20e>] afs_linux_dentry_revalidate
[libafs-2.4.20-13.7-i686.mp] 0x1ce (0xc4bc9948))
Jun  6 11:33:22 bandit kernel: [<c01547b8>] page_follow_link [kernel] 0x138
(0xc4bc995c))
Jun  6 11:33:22 bandit kernel: [<e0a06c00>] afs_global_lock
[libafs-2.4.20-13.7-i686.mp] 0x0 (0xc4bc9988))
Jun  6 11:33:22 bandit kernel: [<e09de348>] afs_linux_permission
[libafs-2.4.20-13.7-i686.mp] 0xd8 (0xc4bc998c))
Jun  6 11:33:22 bandit kernel: [<c015174e>] link_path_walk [kernel] 0x91e
(0xc4bc99c8))
Jun  6 11:33:22 bandit kernel: [<e0999fdd>] osi_dnlc_enter
[libafs-2.4.20-13.7-i686.mp] 0x1dd (0xc4bc9a44))
Jun  6 11:33:22 bandit kernel: [<e0a0a728>] nameCache
[libafs-2.4.20-13.7-i686.mp] 0x2488 (0xc4bc9a48))
Jun  6 11:33:22 bandit kernel: [<e0a0aa70>] nameCache
[libafs-2.4.20-13.7-i686.mp] 0x27d0 (0xc4bc9a4c))
Jun  6 11:33:22 bandit kernel: [<e0999f9e>] osi_dnlc_enter
[libafs-2.4.20-13.7-i686.mp] 0x19e (0xc4bc9a54))
Jun  6 11:33:22 bandit kernel: [<e0a0a728>] nameCache
[libafs-2.4.20-13.7-i686.mp] 0x2488 (0xc4bc9a68))
Jun  6 11:33:22 bandit kernel: [<e0a0a728>] nameCache
[libafs-2.4.20-13.7-i686.mp] 0x2488 (0xc4bc9a6c))
Jun  6 11:33:22 bandit kernel: [<e09aea76>] afs_lookup
[libafs-2.4.20-13.7-i686.mp] 0x11f6 (0xc4bc9a74))
Jun  6 11:33:22 bandit kernel: [<c0132d12>] read_cache_page [kernel] 0x42
(0xc4bc9ad8))
Jun  6 11:33:34 bandit kernel: [<c0132d85>] read_cache_page [kernel] 0xb5
(0xc4bc9ae4))
Jun  6 11:33:35 bandit kernel: [<c0154562>] page_getlink [kernel] 0x22 (0xc4bc9b08))
Jun  6 11:33:35 bandit kernel: [<e09de750>] afs_symlink_filler
[libafs-2.4.20-13.7-i686.mp] 0x0 (0xc4bc9b14))
Jun  6 11:33:35 bandit kernel: [<e09dd20e>] afs_linux_dentry_revalidate
[libafs-2.4.20-13.7-i686.mp] 0x1ce (0xc4bc9b34))
Jun  6 11:33:35 bandit kernel: [<c01547b8>] page_follow_link [kernel] 0x138
(0xc4bc9b48))
Jun  6 11:33:35 bandit kernel: [<e0a06c00>] afs_global_lock
[libafs-2.4.20-13.7-i686.mp] 0x0 (0xc4bc9b74))
Jun  6 11:33:35 bandit kernel: [<e09de348>] afs_linux_permission
[libafs-2.4.20-13.7-i686.mp] 0xd8 (0xc4bc9b78))
Jun  6 11:33:35 bandit kernel: [<e09dd620>] afs_linux_lookup
[libafs-2.4.20-13.7-i686.mp] 0x0 (0xc4bc9b98))
Jun  6 11:33:35 bandit kernel: [<c015174e>] link_path_walk [kernel] 0x91e
(0xc4bc9bb4))
Jun  6 11:33:35 bandit kernel: [<c0200220>] ip_forward_finish [kernel] 0x0
(0xc4bc9bd8))
Jun  6 11:33:35 bandit kernel: [<c0202d65>] ip_finish_output [kernel] 0x125
(0xc4bc9bdc))
Jun  6 11:33:35 bandit kernel: [<e09957a8>] afs_dir_GetBlob
[libafs-2.4.20-13.7-i686.mp] 0x18 (0xc4bc9c04))
Jun  6 11:33:35 bandit kernel: [<c01f045e>] nf_iterate [kernel] 0x2e (0xc4bc9c10))
Jun  6 11:33:35 bandit kernel: [<e09958fb>] FindItem
[libafs-2.4.20-13.7-i686.mp] 0xeb (0xc4bc9c24))
Jun  6 11:33:35 bandit kernel: [<e09b5561>] afs_GetVolume
[libafs-2.4.20-13.7-i686.mp] 0x21 (0xc4bc9c34))
Jun  6 11:33:35 bandit kernel: [<e09b5561>] afs_GetVolume
[libafs-2.4.20-13.7-i686.mp] 0x21 (0xc4bc9c50))
Jun  6 11:33:35 bandit kernel: [<e09a6a70>] afs_CopyOutAttrs
[libafs-2.4.20-13.7-i686.mp] 0x1f0 (0xc4bc9c64))
Jun  6 11:33:35 bandit kernel: [<e09a6a70>] afs_CopyOutAttrs
[libafs-2.4.20-13.7-i686.mp] 0x1f0 (0xc4bc9c80))
Jun  6 11:33:35 bandit kernel: [<e09db4e1>] vcache2inode
[libafs-2.4.20-13.7-i686.mp] 0x21 (0xc4bc9ca0))
Jun  6 11:33:35 bandit kernel: [<c0132d12>] read_cache_page [kernel] 0x42
(0xc4bc9cc4))
Jun  6 11:33:35 bandit kernel: [<c0132d85>] read_cache_page [kernel] 0xb5
(0xc4bc9cd0))
Jun  6 11:33:35 bandit kernel: [<c015a21c>] dput [kernel] 0x1c (0xc4bc9ce0))
Jun  6 11:33:35 bandit kernel: [<c0154562>] page_getlink [kernel] 0x22 (0xc4bc9cf4))
Jun  6 11:33:35 bandit kernel: [<e09de750>] afs_symlink_filler
[libafs-2.4.20-13.7-i686.mp] 0x0 (0xc4bc9d00))
Jun  6 11:33:35 bandit kernel: [<e09dd20e>] afs_linux_dentry_revalidate
[libafs-2.4.20-13.7-i686.mp] 0x1ce (0xc4bc9d20))
Jun  6 11:33:35 bandit kernel: [<c01547b8>] page_follow_link [kernel] 0x138
(0xc4bc9d34))
Jun  6 11:33:35 bandit kernel: [<e0a06c00>] afs_global_lock
[libafs-2.4.20-13.7-i686.mp] 0x0 (0xc4bc9d60))
Jun  6 11:33:35 bandit kernel: [<e09de348>] afs_linux_permission
[libafs-2.4.20-13.7-i686.mp] 0xd8 (0xc4bc9d64))
Jun  6 11:33:35 bandit kernel: [<e09dd620>] afs_linux_lookup
[libafs-2.4.20-13.7-i686.mp] 0x0 (0xc4bc9d84))
Jun  6 11:33:35 bandit kernel: [<c015174e>] link_path_walk [kernel] 0x91e
(0xc4bc9da0))
Jun  6 11:33:35 bandit kernel: [<e098df32>] afs_IsPrimaryCellNum
[libafs-2.4.20-13.7-i686.mp] 0x22 (0xc4bc9dc4))
Jun  6 11:33:36 bandit kernel: [<c01e57fc>] kfree_skbmem [kernel] 0xc (0xc4bc9ddc))
Jun  6 11:33:36 bandit kernel: [<c01e597e>] __kfree_skb [kernel] 0x11e (0xc4bc9dec))
Jun  6 11:33:36 bandit kernel: [<c0231d32>] packet_rcv_spkt [kernel] 0x1b2
(0xc4bc9df8))
Jun  6 11:33:36 bandit kernel: [<e09b5561>] afs_GetVolume
[libafs-2.4.20-13.7-i686.mp] 0x21 (0xc4bc9e08))
Jun  6 11:33:36 bandit kernel: [<e09d91ae>] osi_UFSOpen
[libafs-2.4.20-13.7-i686.mp] 0x16e (0xc4bc9e14))
Jun  6 11:33:36 bandit kernel: [<e09a6a70>] afs_CopyOutAttrs
[libafs-2.4.20-13.7-i686.mp] 0x1f0 (0xc4bc9e38))
Jun  6 11:33:36 bandit kernel: [<e09db4e1>] vcache2inode
[libafs-2.4.20-13.7-i686.mp] 0x21 (0xc4bc9e58))
Jun  6 11:33:36 bandit kernel: [<c01e561f>] alloc_skb [kernel] 0xef (0xc4bc9e6c))
Jun  6 11:35:57 bandit kernel: [<e095c739>] tg3_rx [tg3] 0x289 (0xc4bc9ec8))
Jun  6 11:35:57 bandit kernel: [<e09dcef1>] afs_linux_revalidate
[libafs-2.4.20-13.7-i686.mp] 0x171 (0xc4bc9ed8))
Jun  6 11:35:57 bandit kernel: [<c015a21c>] dput [kernel] 0x1c (0xc4bc9ee4))
Jun  6 11:35:57 bandit kernel: [<c01508ee>] getname [kernel] 0x5e (0xc4bc9f0c))
Jun  6 11:35:57 bandit kernel: [<c0151a8b>] path_lookup [kernel] 0x1b (0xc4bc9f20))
Jun  6 11:35:57 bandit kernel: [<c0151d84>] __user_walk [kernel] 0x24 (0xc4bc9f30))
Jun  6 11:35:57 bandit kernel: [<c014dbc7>] vfs_stat [kernel] 0x17 (0xc4bc9f44))
Jun  6 11:35:57 bandit kernel: [<c014e171>] sys_stat64 [kernel] 0x11 (0xc4bc9f70))
Jun  6 11:35:57 bandit kernel: [<c0108be3>] system_call [kernel] 0x33 (0xc4bc9fc0))
Comment 5 jason andrade 2003-06-07 11:12:52 EDT
i am seeing this on uniprocessor and smp machines.  it appears to be generated
whenever i see any sort of heavy network load.  e.g our web/ftp servers generate
this, and now, so does our main rsync server.

at this point i am seriously having to consider whether i have to abandon redhat
and either look at another linux distribution or move to freebsd, to deal with
this issue.

i'll also add that i haven't really received any further feedback on any way to
resolve this since lodging the bug, so i assume noone is actually looking at it
and/or it is not considered a critical bug. *shrug*.

-jason
Comment 6 Arjan van de Ven 2003-06-07 11:20:25 EDT
first of all bugzilla is not a support mechanism. if you require support
bugzilla isn't it.

the backtrace you attached doesn't actually make a lot of sense; but since
you're using e100 you could try eepro100 because that has a lower stack footprint.

Steve Snodgrass: In addition it appears you're using OpenAFS which is known to
cause stack overflows, and any bugreports with that kernel module loaded is not
something we can do much with really, and thus is not high priority,
Comment 7 jason andrade 2003-06-07 11:37:49 EDT
my apologies.  i was (mis)informed that lodging a request in bugzilla might
(emphasis on might) allow for support, but if that's not what it's for, fair enough.

i can't really comment on the stack trace output not making sense - that is all
that i have.  if you want me to post *all* the different stack traces i am
getting i can do that, in case one makes more sense than this one.


i am not willing to try swapping drivers at this point.  i tried this previously
and it made no difference.  this bug has started to appear at a certain kernel
point where any custom kernel instantly seems to trigger it under high load but
before the binary kernels shipped by redhat wouldn't trigger it.  that's no
longer the case, which is some cause for concern.  we can't do any further
kernel upgrades at this point i suppose.  i haven't tried RH8 or RH9 but noone
has suggested they may deal with this and i'm not confident.

i have tried a number of things in the last bug report including swapping
drivers, even adding a different vendor's NIC (3COM) and the same problems kept
coming back.  i've even tried disabling various things like the interface
filtering to no avail.

from the last debug, i suspected this was a problem brought on by gcc or glibc
and wonder if the 2.4.20 kernels have been compiled with the 'updated' compiler
or libraries on 7.3 and later..


-jason
Comment 8 Arjan van de Ven 2003-06-07 11:44:24 EDT
you are just about the only person getting this (I don't count the OpenAFS stack
overflow, that has a known different cause), so somehow it looks like you do
something different, perhaps in the firewalling (since while the backtrace looks
like junk it does contain several traces of the firewall stack)
Are you doing anything uncommon in that area?
Comment 9 jason andrade 2003-06-07 12:01:33 EDT
bleah, i feel special :-(

no, i am not doing anything odd in the firewalling.  i am using ipchains instead
of iptables.. but even with ipchains 'off' i was getting the same error.  i can
privately mail you a copy of the ipchains config file i am using but it is
nothing special i can see.  

if there's anything else i can do to supply you with information, please let me
know, including remote network access to one of these servers.

-jason

P.S here's a stack trace from a custom kernel build on our rsync box (which was
running 2.4.20-13.7custom, have just rebooted it back into 2.4.20-13.7 (binary
redhat kernel)

do_IRQ: stack overflow: 988
c0206e99 000003dc df54a3e8 df9f0560 df54a3e8 00000286 c0201bc8 df54a3e8 
       df9f0560 0000000b df9f0560 df54a3e8 00000286 00000090 01000018 df9f0018 
       ffffff0a e08ca0ee 00000010 00000286 01000286 00000292 0154a000 00000282 
Call Trace:   [<e08ca0ee>]  (0xc06b49a8))
[<e08cc7e3>]  (0xc06b49e8))
[<e08cc7e3>]  (0xc06b4a04))
[<e08c8a6c>]  (0xc06b4a34))
[<c01cdeb0>]  (0xc06b4a54))
[<c01c0cfa>]  (0xc06b4a58))
[<c01ba7ae>]  (0xc06b4a80))
[<c01ba7ae>]  (0xc06b4a9c))
[<c01cdeb0>]  (0xc06b4aa8))
[<c01c01ee>]  (0xc06b4ab0))
[<c01cdeb0>]  (0xc06b4ac4))
[<c01cdf33>]  (0xc06b4ad0))
[<c01c04ab>]  (0xc06b4ad8))
[<c01c04e2>]  (0xc06b4af0))
[<c01c04e2>]  (0xc06b4b0c))
[<c01ccac4>]  (0xc06b4b30))
[<c01cdeb0>]  (0xc06b4b48))
[<c01ccac4>]  (0xc06b4b4c))
[<c01cdeb0>]  (0xc06b4b64))
[<c01cce14>]  (0xc06b4b74))
[<c01cce14>]  (0xc06b4b90))
[<e08cc7e3>]  (0xc06b4bd8))
[<e08cc7e3>]  (0xc06b4bec))
[<c01cdeb0>]  (0xc06b4c04))
[<c01e089b>]  (0xc06b4c14))
[<c01db9d8>]  (0xc06b4c3c))
[<c01c0cc4>]  (0xc06b4c60))
[<c01b6deb>]  (0xc06b4c70))
[<c01d77c4>]  (0xc06b4c84))
[<c01dc447>]  (0xc06b4cb0))
[<c01b6f4f>]  (0xc06b4cc8))
[<c01d8cfb>]  (0xc06b4cd4))
[<c01d98d2>]  (0xc06b4cf4))
[<c01da331>]  (0xc06b4d18))
[<c01da331>]  (0xc06b4d34))
[<c01ba7ae>]  (0xc06b4d60))
[<c01ccac4>]  (0xc06b4d7c))
[<c01cdeb0>]  (0xc06b4d88))
[<c01c01ee>]  (0xc06b4d90))
[<c01cdeb0>]  (0xc06b4da4))
[<c01cdf33>]  (0xc06b4db0))
[<c01c04ab>]  (0xc06b4db8))
[<c01c04e2>]  (0xc06b4dd0))
[<c01b7efc>]  (0xc06b4de8))
[<c01e158b>]  (0xc06b4dfc))
[<c01e14cf>]  (0xc06b4e14))
[<c01e1a6d>]  (0xc06b4e2c))
[<c01baa02>]  (0xc06b4e84))
[<c01b6c2c>]  (0xc06b4e90))
[<e08c9e7b>]  (0xc06b4ea8))
[<c01ca666>]  (0xc06b4ee0))
[<c01c01ee>]  (0xc06b4ee8))
[<c01ca5b0>]  (0xc06b4efc))
[<c01ca5b0>]  (0xc06b4f0c))
[<c01c04ab>]  (0xc06b4f10))
[<c01ca5b0>]  (0xc06b4f24))
[<c01c04e2>]  (0xc06b4f28))
[<e08a26c8>]  (0xc06b4f3c))
[<e08ac700>]  (0xc06b4f50))
[<e08a2765>]  (0xc06b4f54))
[<c01ca205>]  (0xc06b4f68))
[<c01ca5b0>]  (0xc06b4f80))
[<c01c80cb>]  (0xc06b4f8c))
[<c01ca885>]  (0xc06b4fc4))
[<c01c01ee>]  (0xc06b4fcc))
[<c01ca6e0>]  (0xc06b4fe0))
[<c01ca6e0>]  (0xc06b4ff0))
[<c01c04ab>]  (0xc06b4ff4))
[<c01ca6e0>]  (0xc06b5008))
[<c01c04e2>]  (0xc06b500c))
[<c01ca6e0>]  (0xc06b5024))
[<c01c04e2>]  (0xc06b5028))
[<c01ca570>]  (0xc06b504c))
[<c01ca6e0>]  (0xc06b5064))
[<c01ca570>]  (0xc06b5068))
[<c01ca6e0>]  (0xc06b5080))
[<c01c0018>]  (0xc06b50a4))
[<e08a7c76>]  (0xc06b50b0))
[<c01bad31>]  (0xc06b5108))
[<e08a8f5e>]  (0xc06b5118))
[<c01badcd>]  (0xc06b5134))
[<e08ac9a0>]  (0xc06b5140))
[<c01baedc>]  (0xc06b5160))
[<c0109daa>]  (0xc06b517c))
[<c011affb>]  (0xc06b5190))
[<c0109f7c>]  (0xc06b51a8))
[<c01b6b61>]  (0xc06b51e8))
[<c01b617d>]  (0xc06b51fc))
[<c01ccac4>]  (0xc06b520c))
[<c01b62fb>]  (0xc06b522c))
[<c01cd5a5>]  (0xc06b5244))
[<c01cdf33>]  (0xc06b5260))
[<c01c04ab>]  (0xc06b5268))
[<c01e67b9>]  (0xc06b5290))
[<c01e6340>]  (0xc06b5298))
[<c01cdeb0>]  (0xc06b52d8))
[<c01ec535>]  (0xc06b5340))
[<c01b3c9c>]  (0xc06b5354))
[<c01cdeb0>]  (0xc06b536c))
[<c01c01ee>]  (0xc06b5374))
[<c01c04ab>]  (0xc06b539c))
[<e090c77c>]  (0xc06b53b8))
[<c01ccac4>]  (0xc06b53f4))
[<c01cdeb0>]  (0xc06b540c))
[<c01e638e>]  (0xc06b5414))
[<c01cd751>]  (0xc06b542c))
[<e090f416>]  (0xc06b5458))
[<e090ab1c>]  (0xc06b5490))
[<e090dce1>]  (0xc06b54a0))
[<e090a576>]  (0xc06b54ac))
[<e090a459>]  (0xc06b54b8))
[<e090a46a>]  (0xc06b54d8))
[<e091b590>]  (0xc06b54f8))
[<e090ab50>]  (0xc06b552c))
[<e090d3a0>]  (0xc06b554c))
[<e0936610>]  (0xc06b5578))
[<e093671d>]  (0xc06b55a0))
[<e09307d1>]  (0xc06b55e8))
[<c01cdeb0>]  (0xc06b55f4))
[<c01e638e>]  (0xc06b55fc))
[<c01cd751>]  (0xc06b5614))
[<e090d21e>]  (0xc06b5648))
[<e090cd1b>]  (0xc06b5654))
[<e090f3b8>]  (0xc06b565c))
[<e090e44d>]  (0xc06b566c))
[<e092d9df>]  (0xc06b5680))
[<e090a459>]  (0xc06b56a0))
[<e090a480>]  (0xc06b56bc))
[<e090d3a0>]  (0xc06b5734))
[<e0936640>]  (0xc06b5764))
[<c0121e6e>]  (0xc06b5778))
[<c0143aa9>]  (0xc06b5780))
[<e092dbe0>]  (0xc06b579c))
[<c0143c2d>]  (0xc06b57a8))
[<c0144461>]  (0xc06b57b8))
[<e09308fc>]  (0xc06b57d8))
[<c01445ee>]  (0xc06b57e8))
[<e08a8f5e>]  (0xc06b5800))
[<e092d9df>]  (0xc06b5868))
[<c01c01ee>]  (0xc06b5874))
[<c01cdeb0>]  (0xc06b5888))
[<c01cdf33>]  (0xc06b5894))
[<c01c04ab>]  (0xc06b589c))
[<c01c04e2>]  (0xc06b58b4))
[<c01b888e>]  (0xc06b58d0))
[<c01ccac4>]  (0xc06b58f4))
[<c01cdeb0>]  (0xc06b590c))
[<c01e638e>]  (0xc06b5914))
[<c0146816>]  (0xc06b5938))
<just keeps going..>
Comment 10 Steve Snodgrass 2003-06-09 09:10:16 EDT
Well, the box crashed again on Saturday with another stack overflow, so we've
backed down to 2.4.18-27.  Yes, the box is running OpenAFS.  I've got dozens of
boxes like this one running OpenAFS and I've never seen any of them stack
overflow until this kernel.  If this is a "known problem" (that is not ancient
history) I'd be happy to look at any pointers you have to it.

Also, it looks like Bugzilla 92002 is probably another incidence of this same
problem.

https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=92002
Comment 11 Steve Snodgrass 2003-08-27 10:53:51 EDT
I now have 22 of these stack dumps from 11 different machines and have been
doing some analysis on them.  I'm not so sure that they're the same as 92002
anymore, but they definitely look like what Jason is seeing.  Every single one
of them involves a call to sys_stat64; there are also AFS calls in all of them,
instead of the NFS calls that Jason has, which makes me think it might be
something generically related to network file systems.  Kernels 2.4.20-13,
2.4.20-18 and 2.4.20-19 are all equally affected, but 2.4.18-27 is rock solid. 
It doesn't seem to be specific to any particular network adapter; I've seen it
on boxes with tg3 and eepro100 and others.  I haven't tested 2.4.20-20 yet but
that will happen shortly.
Comment 12 jason andrade 2003-08-29 01:48:53 EDT
thanks for the update and i'm glad to hear there actually is a real problem rather than just me :-/
now to hope there may be some solution for this.  we make extremely heavy use of NFS (2+ 
terabytes/day) and we're stuck on the upgrade path at this point..

i've talked to some other people and to get their system's stable they've had to go back to
the 2.4.18-27 kernel (and in some cases the 2.4.9e12 kernel from RH21AS).

we see the problem on pretty much any system that uses NFS.. as a server or a client.  i can't 
authoritatively say it is only on NFS systems though.  

i have built a 2.4.20-20 custom kernel on a box that _used_ to exhibit these symptoms but
so far (in 5 days) it hasn't had a recurrence as yet.. i'm crossing my fingers but i've had servers
go a week or more before hitting some combination of factors that hit that bug..


regards,

-jason
Comment 13 jason andrade 2003-09-10 22:10:49 EDT
2.4.20-20.7 has the same stack overflow problem.  this is on a RH 7.3 machine
with 2.4.20-20.7smp. doh. i was hoping the latest binary kernel had fixed this.

it appears that the only solution is still to go back to 2.4.18-27.7.x for a stable
kernel under high network load.

do_IRQ: stack overflow: 636
c02516a5 0000027c 00000001 df0ab450 df0aa000 00000000 cf4e8d80 c024ab4c 
       df0ab450 00000034 dffad980 df0aa000 00000000 cf4e8d80 00000514 00000018 
       00000018 ffffff12 e096ab08 00000010 00000246 00000369 df1d6d00 00000001 
Call Trace:   [<e096ab08>] e100_prepare_xmit_buff [e100] 0x28 (0xc853095c))
[<c01e9f70>] netif_rx [kernel] 0xc0 (0xc8530984))
[...deleted...]
Comment 14 jacob liberman 2003-09-15 21:18:20 EDT
I would like to add that I have seen another cstmr affected by what appears to 
be this problem.

This cstmr has 35 Power Edge 1650 servers using the embedded Intel GB LAN 
adapter. These servers have local /boot and swap partitions and then NFS mount 
the reamining disk image. All 35 servers would crash with the a similair stack 
overflow when http or ftp traffic began to pick up.

We tried several kernels: 2.4.9-e.27, 2.4.20-20.7 and 2.4.20-18.7.

We also tried latest e1000 driver from Intel: e1000-5.2.16.tar.gz 

We also checked various settings in the system BIOS and on the switch.

We were able to get cstmr back into production by back revving the kernel to 
2.4.18-27.7.x. (Thank you, Jason)

Please see attached errors and feel free to ctc me directly if I can provide 
additional information.

Thanks, Jacob

<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

do_IRQ: stack overflow: 1768
c0242230 000006e8 f67e5ac0 00000001 00000007 f14b2d14 c02280cc f67e5ac0 
       f14b4007 00000007 00000001 00000007 f14b2d14 14000000 f14b0018 c0310018 
       ffffff00 c0108499 00000010 00000246 f14b2d14 00000007 c031c9e0 f67e5ac0 
Call Trace: [<c0242230>] .rodata.str1.1 [kernel] 0x72b 
[<c02280cc>] call_do_IRQ [kernel] 0x5 
[<c0108499>] handle_IRQ_event [kernel] 0x29 
[<c0108648>] do_IRQ [kernel] 0x88 
[<c01e06b0>] ip_queue_xmit2 [kernel] 0x0 
[<c02280cc>] call_do_IRQ [kernel] 0x5 
[<c01e06b0>] ip_queue_xmit2 [kernel] 0x0 
[<c01d2eb8>] nf_iterate [kernel] 0x8 
[<c01e06b0>] ip_queue_xmit2 [kernel] 0x0 
[<c01d319b>] nf_hook_slow [kernel] 0xab 
[<c01e06b0>] ip_queue_xmit2 [kernel] 0x0 
[<c01df609>] ip_queue_xmit [kernel] 0x499 
[<c01e06b0>] ip_queue_xmit2 [kernel] 0x0 
[<c01f24ae>] tcp_v4_send_check [kernel] 0x6e 
[<c01ed838>] tcp_transmit_skb [kernel] 0x558 
[<c01c9abb>] kfree_skbmem [kernel] 0xb 
[<c01c9c2a>] __kfree_skb [kernel] 0x11a 
[<c01e96e6>] tcp_clean_rtx_queue [kernel] 0x1c6 
[<c01ee2c7>] tcp_write_xmit [kernel] 0x157 
[<c01e23a0>] tcp_rfree [kernel] 0x0 
[<c01eb7b2>] __tcp_data_snd_check [kernel] 0x52 
[<c01e23a0>] tcp_rfree [kernel] 0x0 
[<c01ebda2>] tcp_rcv_established [kernel] 0x2d2 
[<c01f32d4>] tcp_v4_do_rcv [kernel] 0x84 
[<c01f373d>] tcp_v4_rcv [kernel] 0x38d 
[<f89be7bb>] nulldevname.0 [ip_tables] 0x0 
[<c01dca80>] ip_local_deliver_finish [kernel] 0x0 
[<f89c1080>] ipt_hook [iptable_filter] 0x20 
[<c01dcb75>] ip_local_deliver_finish [kernel] 0xf5 
[<c01d2ede>] nf_iterate [kernel] 0x2e 
[<c01dca80>] ip_local_deliver_finish [kernel] 0x0 
[<c01dca80>] ip_local_deliver_finish [kernel] 0x0 
[<c01d319b>] nf_hook_slow [kernel] 0xab 
[<c01dca80>] ip_local_deliver_finish [kernel] 0x0 
[<c01d31d2>] nf_hook_slow [kernel] 0xe2 
[<c01dc6d9>] ip_local_deliver [kernel] 0x1a9 
[<c01dca80>] ip_local_deliver_finish [kernel] 0x0 
[<c01da5ac>] ip_route_input [kernel] 0x3c 
[<c01dca13>] ip_rcv [kernel] 0x323 
[<c0178542>] add_interrupt_randomness [kernel] 0x22 
[<c01d4834>] qdisc_restart [kernel] 0x14 
[<c010867c>] do_IRQ [kernel] 0xbc 
[<c01cd66e>] dev_queue_xmit [kernel] 0x12e 
[<f89bc14f>] ipt_do_table_R18c7ead3 [ip_tables] 0xcf 
[<c01c9abb>] kfree_skbmem [kernel] 0xb 
[<c01cdc4a>] net_rx_action [kernel] 0x1aa 
[<c01e06b0>] ip_queue_xmit2 [kernel] 0x0 
[<c01e07f8>] ip_queue_xmit2 [kernel] 0x148 
[<c01c9abb>] kfree_skbmem [kernel] 0xb 
[<c01c9c2a>] __kfree_skb [kernel] 0x11a 
[<c01cda12>] net_tx_action [kernel] 0x52 
[<c011c4fb>] do_softirq [kernel] 0x4b 
[<c01e06b0>] ip_queue_xmit2 [kernel] 0x0 
[<c02217c5>] stext_lock [kernel] 0x17c5 
[<c01d4834>] qdisc_restart [kernel] 0x14 
[<c01df609>] ip_queue_xmit [kernel] 0x499 
[<c01e06b0>] ip_queue_xmit2 [kernel] 0x0 
[<c01df10d>] ip_output [kernel] 0xcd 
[<c01e06b0>] ip_queue_xmit2 [kernel] 0x0 
[<c01e07f8>] ip_queue_xmit2 [kernel] 0x148 
[<f89c1ac0>] packet_filter [iptable_filter] 0x0 
[<c01d2ede>] nf_iterate [kernel] 0x2e 
[<c01e06b0>] ip_queue_xmit2 [kernel] 0x0 
[<c01f24ae>] tcp_v4_send_check [kernel] 0x6e 
[<c01ed838>] tcp_transmit_skb [kernel] 0x558 
[<f8885498>] rpciod_idle [sunrpc] 0x0 
[<c01df609>] ip_queue_xmit [kernel] 0x499 
[<c01e06b0>] ip_queue_xmit2 [kernel] 0x0 
[<c01ee2c7>] tcp_write_xmit [kernel] 0x157 
[<c01e4b05>] tcp_sendmsg [kernel] 0xf15 
[<c01df609>] ip_queue_xmit [kernel] 0x499 
[<c01ed838>] tcp_transmit_skb [kernel] 0x558 
[<c01d2ede>] nf_iterate [kernel] 0x2e 
[<c01e06b0>] ip_queue_xmit2 [kernel] 0x0 
[<c01e06b0>] ip_queue_xmit2 [kernel] 0x0 
[<c01d319b>] nf_hook_slow [kernel] 0xab 
[<c01ee34f>] tcp_write_xmit [kernel] 0x1df 
[<c01dca80>] ip_local_deliver_finish [kernel] 0x0 
[<c01fcef5>] inet_sendmsg [kernel] 0x35 
[<c01c696c>] sock_sendmsg [kernel] 0x6c 
[<f8876956>] rpc_sleep_locked [sunrpc] 0x26 
[<f8875bbd>] xprt_receive [sunrpc] 0x4d 
[<f88758b0>] do_xprt_transmit [sunrpc] 0x170 
[<c01f24ae>] tcp_v4_send_check [kernel] 0x6e 
[<c01ed838>] tcp_transmit_skb [kernel] 0x558 
[<f88a3869>] nfs3_xdr_diropargs [nfs] 0x59 
[<f887571e>] xprt_transmit [sunrpc] 0x9e 
[<f8873a0f>] call_transmit [sunrpc] 0x3f 
[<f8876f49>] __rpc_execute [sunrpc] 0xa9 
[<f887855c>] rpcauth_bindcred_Readb6d05 [sunrpc] 0x3c 
[<f8873566>] rpc_call_setup_Rc5981057 [sunrpc] 0x46 
[<f8873449>] rpc_call_sync_R5eccfbd7 [sunrpc] 0x69 
[<f887345a>] rpc_call_sync_R5eccfbd7 [sunrpc] 0x7a 
[<f8873a40>] call_status [sunrpc] 0x0 
[<f8876420>] rpc_run_timer [sunrpc] 0x0 
[<f88a21dc>] nfs3_proc_lookup [nfs] 0xec 
[<f8877156>] __rpc_execute [sunrpc] 0x2b6 
[<f8873566>] rpc_call_setup_Rc5981057 [sunrpc] 0x46 
[<f8873449>] rpc_call_sync_R5eccfbd7 [sunrpc] 0x69 
[<f8873470>] rpc_call_sync_R5eccfbd7 [sunrpc] 0x90 
[<f8876420>] rpc_run_timer [sunrpc] 0x0 
[<f88a224e>] nfs3_proc_lookup [nfs] 0x15e 
[<f889e602>] nfs_lookup_revalidate [nfs] 0x142 
[<c01e06b0>] ip_queue_xmit2 [kernel] 0x0 
[<c01e0000>] ip_fragment [kernel] 0xd0 
[<c01df10d>] ip_output [kernel] 0xcd 
[<c01e07f8>] ip_queue_xmit2 [kernel] 0x148 
[<f89c1ac0>] packet_filter [iptable_filter] 0x0 
[<c01d2ede>] nf_iterate [kernel] 0x2e 
[<c01e06b0>] ip_queue_xmit2 [kernel] 0x0 
[<c012334e>] in_group_p [kernel] 0x1e 
[<c0147449>] vfs_permission [kernel] 0x79 
[<c01475cd>] cached_lookup [kernel] 0x2d 
[<c0147dd5>] path_walk [kernel] 0x625 
[<c014a661>] vfs_follow_link [kernel] 0xe1 
[<f889f5b8>] nfs_getlink [nfs] 0x18 
[<f889f6d9>] nfs_follow_link [nfs] 0x29 
[<c0147f43>] path_walk [kernel] 0x793 
[<c01c9900>] alloc_skb [kernel] 0xe0 
[<c012b7d7>] generic_file_new_read [kernel] 0x67 
[<c012b670>] file_read_actor [kernel] 0x0 
[<f8899fd2>] nfs_file_read [nfs] 0x92 
[<c012b76b>] generic_file_read [kernel] 0x1b 
[<c0145895>] open_exec [kernel] 0x25 
[<c015a226>] load_elf_binary [kernel] 0x2f6 
[<c012b719>] file_read_actor [kernel] 0xa9 
[<c012b2f4>] do_generic_file_read [kernel] 0x244 
[<c012b65d>] do_generic_file_read [kernel] 0x5ad 
[<c0147f93>] path_walk [kernel] 0x7e3 
[<c012b7d7>] generic_file_new_read [kernel] 0x67 
[<c012b670>] file_read_actor [kernel] 0x0 
[<c0159f30>] load_elf_binary [kernel] 0x0 
[<c0146101>] search_binary_handler [kernel] 0x71 
[<c0145614>] copy_strings [kernel] 0x1d4 
[<c014638c>] do_execve [kernel] 0x17c 
[<c014738e>] getname [kernel] 0x5e 
[<c0105b40>] sys_execve [kernel] 0x30 
[<c010712b>] system_call [kernel] 0x33 


Comment 15 Steven Danz 2003-10-14 16:09:59 EDT
Chalk up another user with the same problem.  Running 2.4.20-20.7smp on a quad
Xeon MP 2.8Ghz Dell 6650.  This is new as of 2.4.20-20.7smp for me as well, was
running 2.4.18-27.7.xsmp prior with no troubles.  On this system, the built-in
Broadcom NICs are disabled, and we are using a dual NIC eepro100 on PCI.

-------------------------------
Oct 12 13:34:37 xxxx kernel: do_IRQ: stack overflow: 1000
Oct 12 13:34:37 xxxx kernel: c02516a5 000003e8 00000000 c41d5180 000003e8
f71eb760 f8ccc002 c024ab4c
Oct 12 13:34:37 xxxx kernel:        c41d5180 f71eb000 1a5932b9 000003e8 f71eb760
f8ccc002 00000000 00000018
Oct 12 13:34:37 xxxx kernel:        00000018 ffffff00 f8cc68e5 00000010 00000286
00000286 f8ccc000 d86f88e8
Oct 12 13:34:37 xxxx kernel: Call Trace:   [<f8cc68e5>] speedo_start_xmit
[eepro100] 0x205 (0xc4952ac8))
Oct 12 13:34:37 xxxx kernel: [<f8c89de7>] ipfw_output_check [ipchains] 0x77
(0xc4952ae4))
Oct 12 13:34:37 xxxx kernel: [<c02034c0>] ip_finish_output2 [kernel] 0x0
(0xc4952af8))
Oct 12 13:34:37 xxxx kernel: [<c01f3cea>] qdisc_restart [kernel] 0x6a (0xc4952afc))
Oct 12 13:34:37 xxxx kernel: [<c01e9c6e>] dev_queue_xmit [kernel] 0x14e
(0xc4952b24))
Oct 12 13:34:37 xxxx kernel: [<c02034c0>] ip_finish_output2 [kernel] 0x0
(0xc4952b54))
Oct 12 13:34:37 xxxx kernel: [<c01f09ce>] nf_iterate [kernel] 0x2e (0xc4952b5c))
Oct 12 13:34:37 xxxx kernel: [<c020356f>] ip_finish_output2 [kernel] 0xaf
(0xc4952b78))
Oct 12 13:34:37 xxxx kernel: [<c02034c0>] ip_finish_output2 [kernel] 0x0
(0xc4952b80))
Oct 12 13:34:37 xxxx kernel: [<c01f0cff>] nf_hook_slow [kernel] 0xcf (0xc4952b84))
Oct 12 13:34:37 xxxx kernel: [<c01f0d36>] nf_hook_slow [kernel] 0x106 (0xc4952b9c))
Oct 12 13:34:37 xxxx kernel: [<c0201f78>] ip_output [kernel] 0x158 (0xc4952bdc))
Oct 12 13:34:37 xxxx kernel: [<c02034c0>] ip_finish_output2 [kernel] 0x0
(0xc4952bf4))
Oct 12 13:34:37 xxxx kernel: [<c0202350>] ip_queue_xmit [kernel] 0x3c0 (0xc4952c24))
Oct 12 13:34:37 xxxx kernel: [<c01e5b8f>] alloc_skb [kernel] 0xef (0xc4952c3c))
Oct 12 13:34:37 xxxx kernel: [<c01e9f70>] netif_rx [kernel] 0xc0 (0xc4952c48))
Oct 12 13:34:37 xxxx kernel: [<c01e5b8f>] alloc_skb [kernel] 0xef (0xc4952c6c))
Oct 12 13:34:37 xxxx kernel: [<f8cc7293>] speedo_rx [eepro100] 0x313 (0xc4952c84))
Oct 12 13:34:37 xxxx kernel: [<c021793e>] tcp_v4_send_check [kernel] 0x6e
(0xc4952cc4))
Oct 12 13:34:37 xxxx kernel: [<c0212395>] tcp_transmit_skb [kernel] 0x565
(0xc4952cec))
Oct 12 13:34:37 xxxx kernel: [<c01e5d6c>] kfree_skbmem [kernel] 0xc (0xc4952d1c))
Oct 12 13:34:37 xxxx kernel: [<c020dd67>] tcp_clean_rtx_queue [kernel] 0x227
(0xc4952d34))
Oct 12 13:34:37 xxxx kernel: [<c0212e27>] tcp_write_xmit [kernel] 0x157
(0xc4952d60))
Oct 12 13:34:37 xxxx kernel: [<c02100e2>] __tcp_data_snd_check [kernel] 0x52
(0xc4952da4))
Oct 12 13:34:37 xxxx kernel: [<c01e5eee>] __kfree_skb [kernel] 0x11e (0xc4952db4))
Oct 12 13:34:37 xxxx kernel: [<c0210530>] tcp_rcv_established [kernel] 0x110
(0xc4952dc8))
Oct 12 13:34:37 xxxx kernel: [<f8cc686a>] speedo_start_xmit [eepro100] 0x18a
(0xc4952dd4))
Oct 12 13:34:37 xxxx kernel: [<f8c89de7>] ipfw_output_check [ipchains] 0x77
(0xc4952dec))
Oct 12 13:34:37 xxxx kernel: [<c01f3c94>] qdisc_restart [kernel] 0x14 (0xc4952e08))
Oct 12 13:34:37 xxxx kernel: [<c01e9c6e>] dev_queue_xmit [kernel] 0x14e
(0xc4952e2c))
Oct 12 13:34:37 xxxx kernel: [<c02034c0>] ip_finish_output2 [kernel] 0x0
(0xc4952e5c))
Oct 12 13:34:37 xxxx kernel: [<c01f09ce>] nf_iterate [kernel] 0x2e (0xc4952e64))
Oct 12 13:34:37 xxxx kernel: [<c01e6f54>] skb_checksum [kernel] 0x54 (0xc4952e80))
Oct 12 13:34:37 xxxx kernel: [<c0218878>] tcp_v4_do_rcv [kernel] 0x38 (0xc4952eac))
Oct 12 13:34:37 xxxx kernel: [<c02187af>] tcp_v4_checksum_init [kernel] 0x7f
(0xc4952ec4))
Oct 12 13:34:37 xxxx kernel: [<c0218dcd>] tcp_v4_rcv [kernel] 0x46d (0xc4952edc))
Oct 12 13:34:37 xxxx kernel: [<c0202350>] ip_queue_xmit [kernel] 0x3c0 (0xc4952f2c))
Oct 12 13:34:37 xxxx kernel: [<c01ff577>] ip_local_deliver_finish [kernel] 0xb7
(0xc4952f90))
Oct 12 13:34:37 xxxx kernel: [<c01f09ce>] nf_iterate [kernel] 0x2e (0xc4952f98))
Oct 12 13:34:37 xxxx kernel: [<c01ff4c0>] ip_local_deliver_finish [kernel] 0x0
(0xc4952fac))
Oct 12 13:34:37 xxxx kernel: [<c01ff4c0>] ip_local_deliver_finish [kernel] 0x0
(0xc4952fbc))
Oct 12 13:34:37 xxxx kernel: [<c01f0cff>] nf_hook_slow [kernel] 0xcf (0xc4952fc0))
Oct 12 13:34:37 xxxx kernel: [<c01ff4c0>] ip_local_deliver_finish [kernel] 0x0
(0xc4952fd4))
Oct 12 13:34:37 xxxx kernel: [<c01f0d36>] nf_hook_slow [kernel] 0x106 (0xc4952fd8))
Oct 12 13:34:37 xxxx kernel: [<f8c829a8>] __ip_conntrack_find [ipchains] 0x28
(0xc4952fe8))
Oct 12 13:34:37 xxxx kernel: [<f8c82a62>] ip_conntrack_find_get_Rsmp_b2ef83ad
[ipchains] 0x32 (0xc4953000))
Oct 12 13:34:37 xxxx kernel: [<c01ff0cb>] ip_local_deliver [kernel] 0x17b
(0xc4953018))
Oct 12 13:34:37 xxxx kernel: [<c01ff4c0>] ip_local_deliver_finish [kernel] 0x0
(0xc4953030))
Oct 12 13:34:37 xxxx kernel: [<c01fc7eb>] ip_route_input [kernel] 0x3b (0xc4953034))
Oct 12 13:34:37 xxxx kernel: [<c01ff7c4>] ip_rcv_finish [kernel] 0x1d4 (0xc4953074))
Oct 12 13:34:37 xxxx kernel: [<c01f09ce>] nf_iterate [kernel] 0x2e (0xc495307c))
Oct 12 13:34:37 xxxx kernel: [<c01ff5f0>] ip_rcv_finish [kernel] 0x0 (0xc4953090))
Oct 12 13:34:37 xxxx kernel: [<c01ff5f0>] ip_rcv_finish [kernel] 0x0 (0xc49530a0))
Oct 12 13:34:37 xxxx kernel: [<c01f0cff>] nf_hook_slow [kernel] 0xcf (0xc49530a4))
Oct 12 13:34:37 xxxx kernel: [<c01ff5f0>] ip_rcv_finish [kernel] 0x0 (0xc49530b8))
Oct 12 13:34:37 xxxx kernel: [<c01f0d36>] nf_hook_slow [kernel] 0x106 (0xc49530bc))
Oct 12 13:34:37 xxxx kernel: [<c01ff47e>] ip_rcv [kernel] 0x39e (0xc49530fc))
Oct 12 13:34:37 xxxx kernel: [<c01ff5f0>] ip_rcv_finish [kernel] 0x0 (0xc4953114))
Oct 12 13:34:37 xxxx kernel: [<f8cc6b94>] speedo_interrupt [eepro100] 0x94
(0xc495311c))
Oct 12 13:34:37 xxxx kernel: [<c010a5fe>] handle_IRQ_event [kernel] 0x5e
(0xc4953140))
Oct 12 13:34:37 xxxx kernel: [<c010a870>] do_IRQ [kernel] 0x100 (0xc495316c))
Oct 12 13:34:37 xxxx kernel: [<c01ea419>] netif_receive_skb [kernel] 0x199
(0xc49531b8))
Oct 12 13:34:37 xxxx kernel: [<f8c89de7>] ipfw_output_check [ipchains] 0x77
(0xc49531cc))
Oct 12 13:34:37 xxxx kernel: [<c01ea4c9>] process_backlog [kernel] 0x79
(0xc49531f8))
Oct 12 13:34:37 xxxx kernel: [<c01e9c6e>] dev_queue_xmit [kernel] 0x14e
(0xc495320c))
Oct 12 13:34:37 xxxx kernel: [<c01ea60f>] net_rx_action [kernel] 0x9f (0xc4953228))
Oct 12 13:34:37 xxxx kernel: [<c01f09ce>] nf_iterate [kernel] 0x2e (0xc4953244))
Oct 12 13:34:37 xxxx kernel: [<c01210ab>] do_softirq [kernel] 0x6b (0xc4953260))
Oct 12 13:34:37 xxxx kernel: [<c02034c0>] ip_finish_output2 [kernel] 0x0
(0xc4953278))
Oct 12 13:34:37 xxxx kernel: [<c01f11d4>] .text.lock.netfilter [kernel] 0xc0
(0xc495327c))
Oct 12 13:34:37 xxxx kernel: [<c01e7a6e>] csum_partial_copy_fromiovecend
[kernel] 0x1be (0xc49532a4))
Oct 12 13:34:37 xxxx kernel: [<c0201f78>] ip_output [kernel] 0x158 (0xc49532c4))
Oct 12 13:34:37 xxxx kernel: [<c02034c0>] ip_finish_output2 [kernel] 0x0
(0xc49532dc))
Oct 12 13:34:37 xxxx kernel: [<c021e25e>] udp_getfrag [kernel] 0x4e (0xc49532e8))
Oct 12 13:34:37 xxxx kernel: [<c0202cd7>] ip_build_xmit [kernel] 0x2d7 (0xc495330c))
Oct 12 13:34:37 xxxx kernel: [<c01e7245>] skb_copy_and_csum_bits [kernel] 0x55
(0xc495331c))
Oct 12 13:34:37 xxxx kernel: [<c021e70f>] udp_sendmsg [kernel] 0x3cf (0xc495334c))
Oct 12 13:34:37 xxxx kernel: [<c021e210>] udp_getfrag [kernel] 0x0 (0xc4953354))
Oct 12 13:34:37 xxxx kernel: [<c01f3c94>] qdisc_restart [kernel] 0x14 (0xc49533e4))
Oct 12 13:34:37 xxxx kernel: [<f8c8e204>] ipfw_ops [ipchains] 0x0 (0xc49533f4))
Oct 12 13:34:37 xxxx kernel: [<c0225295>] inet_sendmsg [kernel] 0x35 (0xc4953408))
Oct 12 13:34:37 xxxx kernel: [<c01e25bc>] sock_sendmsg [kernel] 0x6c (0xc495341c))
Oct 12 13:34:37 xxxx kernel: [<c02034c0>] ip_finish_output2 [kernel] 0x0
(0xc4953464))
Oct 12 13:34:37 xxxx kernel: [<c01f0cff>] nf_hook_slow [kernel] 0xcf (0xc4953468))
Oct 12 13:34:37 xxxx kernel: [<f8cdd9fd>] do_xprt_transmit [sunrpc] 0xfd
(0xc4953480))
Oct 12 13:34:37 xxxx kernel: [<c01f3c94>] qdisc_restart [kernel] 0x14 (0xc49534a8))
Oct 12 13:34:37 xxxx kernel: [<f8c81214>] fw_in [ipchains] 0x164 (0xc49534b4))
Oct 12 13:34:37 xxxx kernel: [<f8c8e204>] ipfw_ops [ipchains] 0x0 (0xc49534b8))
Oct 12 13:34:37 xxxx kernel: [<f8cc686a>] speedo_start_xmit [eepro100] 0x18a
(0xc49534c4))
Oct 12 13:34:37 xxxx kernel: [<c01e7245>] skb_copy_and_csum_bits [kernel] 0x55
(0xc49534e4))
Oct 12 13:34:37 xxxx kernel: [<f8c81214>] fw_in [ipchains] 0x164 (0xc4953504))
Oct 12 13:34:37 xxxx kernel: [<f8cdbb5f>] call_transmit [sunrpc] 0x3f (0xc4953558))
Oct 12 13:34:37 xxxx kernel: [<f8cdf3af>] __rpc_execute [sunrpc] 0xaf (0xc4953568))
Oct 12 13:34:37 xxxx kernel: [<f8cdb5a6>] rpc_call_setup_Rsmp_6c26fc57 [sunrpc]
0x46 (0xc4953578))
Oct 12 13:34:37 xxxx kernel: [<f8cdb489>] rpc_call_sync_Rsmp_7932eeae [sunrpc]
0x69 (0xc4953584))
Oct 12 13:34:37 xxxx kernel: [<f8cdb49a>] rpc_call_sync_Rsmp_7932eeae [sunrpc]
0x7a (0xc49535a4))
Oct 12 13:34:37 xxxx kernel: [<f8cee114>] all_tasks [sunrpc] 0x0 (0xc49535c4))
Oct 12 13:34:37 xxxx kernel: [<f8cdbb90>] call_status [sunrpc] 0x0 (0xc49535f8))
Oct 12 13:34:37 xxxx kernel: [<f8cde860>] rpc_run_timer [sunrpc] 0x0 (0xc4953618))
Oct 12 13:34:37 xxxx kernel: [<f8d0b450>] nfs3_rpc_wrapper [nfs] 0x30 (0xc4953654))
Oct 12 13:34:37 xxxx kernel: [<f8d0b55d>] nfs3_proc_getattr [nfs] 0x5d (0xc495367c))
Oct 12 13:34:37 xxxx kernel: [<f8c89de7>] ipfw_output_check [ipchains] 0x77
(0xc4953690))
Oct 12 13:34:37 xxxx kernel: [<f8d04da1>] __nfs_revalidate_inode [nfs] 0x101
(0xc49536c4))
Oct 12 13:34:37 xxxx kernel: [<c01e9c6e>] dev_queue_xmit [kernel] 0x14e
(0xc49536d0))
Oct 12 13:34:37 xxxx kernel: [<c01e9c6e>] dev_queue_xmit [kernel] 0x14e
(0xc49536f0))
Oct 12 13:34:37 xxxx kernel: [<c02034c0>] ip_finish_output2 [kernel] 0x0
(0xc4953700))
Oct 12 13:34:37 xxxx kernel: [<c01f09ce>] nf_iterate [kernel] 0x2e (0xc4953708))
Oct 12 13:34:37 xxxx kernel: [<c020356f>] ip_finish_output2 [kernel] 0xaf
(0xc4953724))
Oct 12 13:34:37 xxxx kernel: [<c02034c0>] ip_finish_output2 [kernel] 0x0
(0xc495372c))
Oct 12 13:34:37 xxxx kernel: [<c01f0cff>] nf_hook_slow [kernel] 0xcf (0xc4953730))
Oct 12 13:34:37 xxxx kernel: [<c01f0d36>] nf_hook_slow [kernel] 0x106 (0xc4953748))
Oct 12 13:34:37 xxxx kernel: [<f8d01adf>] nfs_lookup_revalidate [nfs] 0x22f
(0xc495375c))
Oct 12 13:34:37 xxxx kernel: [<c01f0d36>] nf_hook_slow [kernel] 0x106 (0xc4953768))
Oct 12 13:34:37 xxxx kernel: [<c0201f78>] ip_output [kernel] 0x158 (0xc4953788))
Oct 12 13:34:37 xxxx kernel: [<c02034c0>] ip_finish_output2 [kernel] 0x0
(0xc49537a0))
Oct 12 13:34:37 xxxx kernel: [<c0201f78>] ip_output [kernel] 0x158 (0xc49537a8))
Oct 12 13:34:37 xxxx kernel: [<c02034c0>] ip_finish_output2 [kernel] 0x0
(0xc49537c0))
Oct 12 13:34:37 xxxx kernel: [<c0202350>] ip_queue_xmit [kernel] 0x3c0 (0xc49537d0))
Oct 12 13:34:37 xxxx kernel: [<c0202350>] ip_queue_xmit [kernel] 0x3c0 (0xc49537f0))
Oct 12 13:34:37 xxxx kernel: [<c01ff47e>] ip_rcv [kernel] 0x39e (0xc4953830))
Oct 12 13:34:37 xxxx kernel: [<c0150b99>] vfs_permission [kernel] 0x79 (0xc4953858))
Oct 12 13:34:37 xxxx kernel: [<f8d01d90>] nfs_lookup [nfs] 0x0 (0xc4953878))
Oct 12 13:34:37 xxxx kernel: [<c0150dbd>] cached_lookup [kernel] 0x2d (0xc4953884))
Oct 12 13:34:37 xxxx kernel: [<c01517bd>] link_path_walk [kernel] 0x79d
(0xc4953894))
Oct 12 13:34:37 xxxx kernel: [<c02056f0>] tcp_rfree [kernel] 0x0 (0xc4953908))
Oct 12 13:34:37 xxxx kernel: [<c01e56d9>] sock_def_readable [kernel] 0x39
(0xc4953910))
Oct 12 13:34:37 xxxx kernel: [<c0210849>] tcp_rcv_established [kernel] 0x429
(0xc495392c))
Oct 12 13:34:37 xxxx kernel: [<c0210849>] tcp_rcv_established [kernel] 0x429
(0xc495394c))
Oct 12 13:34:37 xxxx kernel: [<f8d0199c>] nfs_lookup_revalidate [nfs] 0xec
(0xc495395c))
Oct 12 13:34:37 xxxx kernel: [<c02034c0>] ip_finish_output2 [kernel] 0x0
(0xc4953970))
Oct 12 13:34:37 xxxx kernel: [<c01f09ce>] nf_iterate [kernel] 0x2e (0xc4953978))
Oct 12 13:34:37 xxxx kernel: [<c020356f>] ip_finish_output2 [kernel] 0xaf
(0xc4953994))
Oct 12 13:34:37 xxxx kernel: [<c02034c0>] ip_finish_output2 [kernel] 0x0
(0xc495399c))
Oct 12 13:34:37 xxxx kernel: [<c01f0cff>] nf_hook_slow [kernel] 0xcf (0xc49539a0))
Oct 12 13:34:37 xxxx kernel: [<c015a40c>] dput [kernel] 0x1c (0xc49539c0))
Oct 12 13:34:37 xxxx kernel: [<c01e7a6e>] csum_partial_copy_fromiovecend
[kernel] 0x1be (0xc49539d8))
Oct 12 13:34:37 xxxx kernel: [<c01546ad>] vfs_follow_link [kernel] 0x11d
(0xc4953a14))
Oct 12 13:34:37 xxxx kernel: [<c0132df2>] read_cache_page [kernel] 0x42
(0xc4953a18))
Oct 12 13:34:37 xxxx kernel: [<c0132e65>] read_cache_page [kernel] 0xb5
(0xc4953a24))
Oct 12 13:34:37 xxxx kernel: [<f8d08a7a>] nfs_getlink [nfs] 0x1a (0xc4953a48))
Oct 12 13:34:37 xxxx kernel: [<f8d08ad7>] nfs_getlink [nfs] 0x77 (0xc4953a58))
Oct 12 13:34:37 xxxx kernel: [<f8d08bb8>] nfs_follow_link [nfs] 0x28 (0xc4953a6c))
Oct 12 13:34:37 xxxx kernel: [<c0150dbd>] cached_lookup [kernel] 0x2d (0xc4953a80))
Oct 12 13:34:37 xxxx kernel: [<c01514ee>] link_path_walk [kernel] 0x4ce
(0xc4953a90))
Oct 12 13:34:37 xxxx kernel: [<c0151a78>] link_path_walk [kernel] 0xa58
(0xc4953ab8))
Oct 12 13:34:37 xxxx kernel: [<c01ff577>] ip_local_deliver_finish [kernel] 0xb7
(0xc4953af4))
Oct 12 13:34:37 xxxx kernel: [<c01f09ce>] nf_iterate [kernel] 0x2e (0xc4953afc))
Oct 12 13:34:37 xxxx kernel: [<f885dd4a>] do_get_write_access [jbd] 0x53a
(0xc4953b24))
Oct 12 13:34:37 xxxx kernel: [<c01487e8>] bread [kernel] 0x18 (0xc4953b48))
Oct 12 13:34:37 xxxx kernel: [<f8d0199c>] nfs_lookup_revalidate [nfs] 0xec
(0xc4953b58))
Oct 12 13:34:37 xxxx kernel: [<f885ddaf>] journal_get_write_access_Rsmp_76c990e0
[jbd] 0x3f (0xc4953b7c))
Oct 12 13:34:37 xxxx kernel: [<f8871891>] ext3_reserve_inode_write [ext3] 0x31
(0xc4953ba0))
Oct 12 13:34:37 xxxx kernel: [<c01e5d6c>] kfree_skbmem [kernel] 0xc (0xc4953bb8))
Oct 12 13:34:37 xxxx kernel: [<f8871825>] ext3_mark_iloc_dirty [ext3] 0x25
(0xc4953be4))
Oct 12 13:34:37 xxxx kernel: [<f8871836>] ext3_mark_iloc_dirty [ext3] 0x36
(0xc4953bec))
Oct 12 13:34:37 xxxx kernel: [<c01546ad>] vfs_follow_link [kernel] 0x11d
(0xc4953c10))
Oct 12 13:34:37 xxxx kernel: [<c0132df2>] read_cache_page [kernel] 0x42
(0xc4953c14))
Oct 12 13:34:37 xxxx kernel: [<c0132e65>] read_cache_page [kernel] 0xb5
(0xc4953c20))
Oct 12 13:34:37 xxxx kernel: [<f8d08a7a>] nfs_getlink [nfs] 0x1a (0xc4953c44))
Oct 12 13:34:37 xxxx kernel: [<f8d08ad7>] nfs_getlink [nfs] 0x77 (0xc4953c54))
Oct 12 13:34:37 xxxx kernel: [<f8d08bb8>] nfs_follow_link [nfs] 0x28 (0xc4953c68))
Oct 12 13:34:37 xxxx kernel: [<c0150dbd>] cached_lookup [kernel] 0x2d (0xc4953c7c))
Oct 12 13:34:37 xxxx kernel: [<c01514ee>] link_path_walk [kernel] 0x4ce
(0xc4953c8c))
Oct 12 13:34:37 xxxx kernel: [<f8cc6d85>] speedo_refill_rx_buf [eepro100] 0x45
(0xc4953cc0))
Oct 12 13:34:37 xxxx kernel: [<c01ff4c0>] ip_local_deliver_finish [kernel] 0x0
(0xc4953cd8))
Oct 12 13:34:37 xxxx kernel: [<c01e9f70>] netif_rx [kernel] 0xc0 (0xc4953ce8))
Oct 12 13:34:37 xxxx kernel: [<c01ff4c0>] ip_local_deliver_finish [kernel] 0x0
(0xc4953d00))
Oct 12 13:34:37 xxxx kernel: [<c01f0d36>] nf_hook_slow [kernel] 0x106 (0xc4953d04))
Oct 12 13:34:37 xxxx kernel: [<c01ea419>] netif_receive_skb [kernel] 0x199
(0xc4953d1c))
Oct 12 13:34:37 xxxx kernel: [<c01ea4c9>] process_backlog [kernel] 0x79
(0xc4953d5c))
Oct 12 13:34:37 xxxx kernel: [<c01ea60f>] net_rx_action [kernel] 0x9f (0xc4953d8c))
Oct 12 13:34:37 xxxx kernel: [<c01210ab>] do_softirq [kernel] 0x6b (0xc4953dc4))
Oct 12 13:34:37 xxxx kernel: [<c010a870>] do_IRQ [kernel] 0x100 (0xc4953de0))
Oct 12 13:34:37 xxxx kernel: [<c0151c7b>] path_lookup [kernel] 0x1b (0xc4953e0c))
Oct 12 13:34:38 xxxx kernel: [<c014eb66>] open_exec [kernel] 0x16 (0xc4953e1c))
Oct 12 13:34:38 xxxx kernel: [<c0143126>] __pte_chain_free [kernel] 0x16
(0xc4953e3c))
Oct 12 13:34:38 xxxx kernel: [<c014f70e>] do_execve [kernel] 0x1e (0xc4953e4c))
Oct 12 13:34:38 xxxx kernel: [<c012d8fc>] do_no_page [kernel] 0x3c (0xc4953e5c))
Oct 12 13:34:38 xxxx kernel: [<c01e5b8f>] alloc_skb [kernel] 0xef (0xc4953e70))
Oct 12 13:34:38 xxxx kernel: [<c012dcde>] handle_mm_fault [kernel] 0x12e
(0xc4953ea8))
Oct 12 13:34:38 xxxx kernel: [<c0150b99>] vfs_permission [kernel] 0x79 (0xc4953ec4))
Oct 12 13:34:38 xxxx kernel: [<c0152437>] open_namei [kernel] 0x327 (0xc4953ed8))
Oct 12 13:34:38 xxxx kernel: [<c0117c67>] do_page_fault [kernel] 0x1a7 (0xc4953f04))
Oct 12 13:34:38 xxxx kernel: [<c0146ed9>] chrdev_open [kernel] 0x59 (0xc4953f2c))
Oct 12 13:34:38 xxxx kernel: [<c0145a96>] dentry_open [kernel] 0xe6 (0xc4953f48))
Oct 12 13:34:38 xxxx kernel: [<c01ea60f>] net_rx_action [kernel] 0x9f (0xc4953f54))
Oct 12 13:34:38 xxxx kernel: [<c015507a>] locate_fd [kernel] 0xea (0xc4953f64))
Oct 12 13:34:38 xxxx kernel: [<c0150ade>] getname [kernel] 0x5e (0xc4953f90))
Oct 12 13:34:38 xxxx kernel: [<c0107680>] sys_execve [kernel] 0x30 (0xc4953fa4))
Oct 12 13:34:38 xxxx kernel: [<c0108be3>] system_call [kernel] 0x33 (0xc4953fc0))
Oct 12 13:34:38 xxxx kernel:
Comment 16 Steve Snodgrass 2003-10-24 09:11:34 EDT
A few more data points that may be useful to those of you afflicted by this bug:

1. I upgraded my most unstable system to Red Hat 9 running 2.4.20-20.9, and it
doesn't crash.  It looks like RH9 fixes this problem.

2. I just read a fascinating post from Jason on linux-poweredge which says that
this problem may be caused by kernels compiled with a buggy version of gcc. 
Since he hasn't mentioned it here yet, I will:

http://lists.us.dell.com/pipermail/linux-poweredge/2003-October/016437.html
Comment 17 Peter van Hooft 2003-11-19 11:11:28 EST
Bingo,

The message on linux-poweredge gives the solution.
We've had stack overflows followed by system hangs for many months.
They all seemed to be network/nfs related; when you do a lot of
symbolic link dereferences more than 5 levels deep and you generate
a lot of nfs traffic at the same time, I can crash the systems 
reliably.
I couldn't reproduce it on rh9, as2.1, and aws2.1 on i386 and Itanium
computers.
I rebuilt the 2.4.20-20.7 kernel on a rh9 box and this seems to fix
the problem.
Comment 18 Dave Jones 2004-01-04 23:16:45 EST
This was fixed in the 2.4.20-27 errata released a few weeks ago.


*** This bug has been marked as a duplicate of 108092 ***
Comment 19 Red Hat Bugzilla 2006-02-21 13:53:14 EST
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.

Note You need to log in before you can comment on or make changes to this bug.